GNU bug report logs - #39822
27.0.90; Cannot set *Completions* buffer height using display-buffer-alist

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Davor Rotim <drot@HIDDEN>; Keywords: fixed; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.0.50, send any further explanations to 39822 <at> debbugs.gnu.org and Davor Rotim <drot@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 2 Apr 2020 21:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 17:52:17 2020
Received: from localhost ([127.0.0.1]:40873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK7l2-0007uN-R9
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 17:52:17 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:55033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1jK7l0-0007tf-EU; Thu, 02 Apr 2020 17:52:15 -0400
X-Originating-IP: 91.129.99.85
Received: from mail.gandi.net (m91-129-99-85.cust.tele2.ee [91.129.99.85])
 (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 5F17A60005;
 Thu,  2 Apr 2020 21:52:05 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN> <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
 <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
 <87mu80jblw.fsf@HIDDEN>
 <761674aa-bf8c-d6e6-6939-5561524a267f@HIDDEN>
 <87ftdqpy4v.fsf@HIDDEN>
 <ebe3eaf5-aa7b-60c7-15e4-78bfd2e9a9f3@HIDDEN>
Date: Fri, 03 Apr 2020 00:50:43 +0300
In-Reply-To: <ebe3eaf5-aa7b-60c7-15e4-78bfd2e9a9f3@HIDDEN> (martin rudalics's
 message of "Tue, 31 Mar 2020 10:38:08 +0200")
Message-ID: <87a73ta764.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

tags 39822 fixed
close 39822 28.0.50
quit

>> Pushed to master with updating the manual.
>
> Thanks.  Strictly spoken, we should mention 'body-function' in the
> doc-string of 'display-buffer' but I'd rather stop describing the alist
> entries there.  Maybe we should just mention them and refer the user to
> the manual.

Thanks for pointing to the doc-string of 'display-buffer', now added.
Feel free to remove descriptions from the docstring to avoid duplication.

>> Please check if this report could be closed now.
>
> I think it can be closed now.

So closing now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 31 Mar 2020 08:38:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 04:38:21 2020
Received: from localhost ([127.0.0.1]:35484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJCPd-0002vG-Ar
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 04:38:21 -0400
Received: from mout.gmx.net ([212.227.17.20]:42907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jJCPb-0002uI-5v
 for 39822 <at> debbugs.gnu.org; Tue, 31 Mar 2020 04:38:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1585643890;
 bh=tJo7evEtN4IZEyY1w73yzXUI05itrbXBk8HZ9dLuHLA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=CwNAA3AZBiESNBf84F64KmqG7v2SfzxKl8PLMPq4HXz1ryuTkfqp4OCVrh9BAzFFT
 8PqKzIOu3QBvQlsU5P0/yys9QBaG7+SEd7wbC+aQXOtkyFldA8vY73Zzqe7AQDAvXg
 vuhsTjl0fZ5qbi/tPw2hVwecBeghEe8vXcACJyk0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.250]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MEFvp-1jSrRc3lIb-00ADgp; Tue, 31
 Mar 2020 10:38:09 +0200
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
 <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
 <87mu80jblw.fsf@HIDDEN>
 <761674aa-bf8c-d6e6-6939-5561524a267f@HIDDEN>
 <87ftdqpy4v.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <ebe3eaf5-aa7b-60c7-15e4-78bfd2e9a9f3@HIDDEN>
Date: Tue, 31 Mar 2020 10:38:08 +0200
MIME-Version: 1.0
In-Reply-To: <87ftdqpy4v.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:P1uZxRlFWedZaRles7Z3IfMXeY29dgZifovYTB/VfAn0QCAz4I9
 6tzAcRcGM3d5sGgV6ys9Ook8aQmVvLfLPkyvFTTPhiD6ZoZJreHW7EhwWLaVjW24TkAIPIv
 KgnqnObfw3V1NhO567AD2lETM/46vqL6XvJNbPtIXmiP1UNuZjaNwcRHPQ0A/c3BC98+hz2
 rVfhdoITBpROZ9squ/O1w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:KhxlTsVO39E=:ufJ4Pb+I2gBvV3o65GJTK4
 KAkJxVkRfutPbQok7gsey9dfw0bHza4LPVPwSgLzR8jlAFFT64iuTRLcB/cu1Gfm5mrqhN9vs
 iqZekKtWCviT7AMMVmeebMAAkfolRS5TP9nq6jUK1kbmfE3I22ntBnmXTEjX9GmzZQTiWSPnk
 JK6qt1sOiWrAAnFTO9OFHAAOJBUkkSIoyWc04t5jIm4iN+1dqgp6v0UIOUJKZkoFIMHc2z/k5
 l5ztEAHjYOHz2poLamFliUJykjuOt4Pk4NNobzwfJDZRIp2wSl0PMOuTDfGCLeGfSO5Vg1NV6
 IBNmWSebn5apPRCGOQmXaJczVSBc0E9lD7eFkhzlb5wdITVWxLUDPULp8ZAY3ZHelBBA6nEj5
 FB+cCQxy+JPUSDB+SyiKRgkbZZ4+we+8GujHnRJSkrnmRdrB1GQSPL01O/pRQVNgQVq0A8u4o
 RJ8Fg/eGRTGtQLz9pHZBYBtlGOwQgJuz9T2tBbUKF8Ma9YV04me3ibc3x8TO2BUxEIOQUPrBE
 pFMvEKPDVyau0ZO4kBukBPuaLB7jWVbhFV2xUy2TSwzIReHNlGRT/5buKSgnal+GYJCPA+iSR
 LReaYesvBIi3Bg6l0COvJ0I4Q6e51bWrhvZ42aeEI+D9JjNYZj24yhvk1BFtEgJE9J7m58FpV
 1d+moKpVY3WyIHycVyQpTnmNitQM+mESdxTQfz299qO9Qris0vLHXEYsudvmcTAuamXC3/JlG
 WXWO9CthgAlZOPhOuPMcHF6dG32SHcJqkJvZsPqBxrNtPJV5CMalbEMqK8YEg8MZpGwQboMzw
 uiShv7HnAS/IZbqkZrXPUqIoowUztotK9xMEG8sdHdFHmWH02MyfPRM+qPLr7lSh4YkzIVBMS
 EIJS1rWqz/yV7EFFeEAcULL3fe3FhuKBIWPQAegiA/aWIeEwfqMP/7WTHNOnjpEl8Uvp3y/qa
 n/xFRlBfvIQYEr3bMzFhzGj33+ii+c5IgCXszyjtudciZkUspaUuXxxsiSJKA1c3IyNxmS+7o
 gtrGUrD8fwhPap8Ct48oeKETrJB7RnbpYwtPxtSsa3s8bwaFkMI/O0ARcKAkysPxGEcXd5asa
 6xnGUgAMOu+w0cJaEH42/ymNXD/cpDliDqrLqLBy2MymGHm6X7k4TDfuXXU+P3pKbBT0bBkc2
 4YP0R3lX5QyRkfBOx49DZ6XAO2n7ZG4M0+G1jhvZyRAW6wp1dHYbeJE9FPT1a6k9bsZapmZnC
 1jssMwcFz3OJv8psR
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Pushed to master with updating the manual.

Thanks.  Strictly spoken, we should mention 'body-function' in the
doc-string of 'display-buffer' but I'd rather stop describing the alist
entries there.  Maybe we should just mention them and refer the user to
the manual.

 > Please check if this report could be closed now.

I think it can be closed now.

Many thanks for fixing this, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 30 Mar 2020 22:54:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 18:54:04 2020
Received: from localhost ([127.0.0.1]:35245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJ3IC-0002uZ-34
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 18:54:04 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:46833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jJ3I5-0002sz-Hn
 for 39822 <at> debbugs.gnu.org; Mon, 30 Mar 2020 18:53:58 -0400
X-Originating-IP: 91.129.102.97
Received: from mail.gandi.net (m91-129-102-97.cust.tele2.ee [91.129.102.97])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 594A91BF204;
 Mon, 30 Mar 2020 22:53:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
 <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
 <87mu80jblw.fsf@HIDDEN>
 <761674aa-bf8c-d6e6-6939-5561524a267f@HIDDEN>
 <87ftdqpy4v.fsf@HIDDEN>
Date: Tue, 31 Mar 2020 01:53:17 +0300
In-Reply-To: <87ftdqpy4v.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 30 Mar 2020 01:57:52 +0300")
Message-ID: <87pnctqwte.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> LGTM.  'body-function' needs an alist entry in the manual then.
>
> Pushed to master with updating the manual.
>
> Please check if this report could be closed now.

Actually it broke choose-completion invoked in *Completions* displayed
from the minibuffer, because choose-completion expects completion-reference-buffer
to be the original buffer (should be the minibuffer in this case),
but it was *Completions*.  This means that display-completion-list
should be run in the original buffer.

Now fixed in master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 30 Mar 2020 02:35:36 +0000
From rudalics@HIDDEN Sun Mar 29 05:10:54 2020
Received: from mout.gmx.net ([212.227.15.15]:33649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jITy1-0007zP-LE
 for 39822 <at> debbugs.gnu.org; Sun, 29 Mar 2020 05:10:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1585473045;
 bh=nOd/wkKsiOR4DC90jv38nqIIKSGdsttxwI2UAmX+xH0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=A0+/LDnTnluKW7E9W49mqObbrvREwLbEoOPZj1FAb7PTjA6s9Gkwo8ob3SRRDSmGS
 5mslXB0rWnGj/rDQoKajUmsh6Uw1CkE+Nf7giXXCPv0lgBLCb/vHEDvM7MFUFnmbVl
 OUK69TXradxa83WqpOee9uhzQN8zdafv8aL9XQz8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.102]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N0X8o-1j6Sv23gY8-00wXSz; Sun, 29
 Mar 2020 11:10:44 +0200
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
 <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
 <87mu80jblw.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <761674aa-bf8c-d6e6-6939-5561524a267f@HIDDEN>
Date: Sun, 29 Mar 2020 11:10:43 +0200
MIME-Version: 1.0
In-Reply-To: <87mu80jblw.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:xS0oLtFZhYqwh7adYPfAvaRDiHNbFIhokPyeZPDJrT2nY9dxgTU
 Fi5I5xz52XtE7x+rA0HAAxHZJI1KElgKkaK8WlfHeGTxwh2/57cpt0Kd+rFT1IT5FODd5a7
 t8ta1teWozN+Xd6o1YbzU/uAB+JyaNzDZ65w7j55dIgGx2WAMtgBxBRvQLXD/CoO8g2ONVP
 QISZMXDf2uaDqiPcXhUYw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:N+A6bhp1Xvc=:lY4XNBz6tjVV9iIhgdS5P3
 zAQfYT8VrR1s7GHax9YpBAi1dPPCiBeHrUwDq7WLkRwWjVFr+nj4ZI9QXwkgsXOyGdwfK+kDj
 RmSYkv2obPFDC6lJf5jXKMlrr5LRvwp2mU/fCdMLelc2wJ/FGN3TGFO3jyV1di4okVNTIeN3g
 I47Hgek6Q6I0feU3txJhSVkxzRkph9RU+6hss2dbsHyCoEuRnwsoz9QETo/iaxr5SDmWpRiIW
 TN2i5wmI9RgnrRHnNHaVjqi44K9eQyV8FteZji8Tm4NfWycrTEMNi9F9sJsh665i6rQmgf7Xz
 yoYfTPCSpp+gQxTAFL8bIVYKL7/DYhtXj9C9BzL4vCgCE1sRsV2ak5L/oC9rLAdPh7RtPll1t
 bzw9HVIkbVFXeCrdf6ioAseHnIsw4aJdEJfCJZbVMKuNEWgJkzcgqlfLEQWlGfZl/GfCf3aWi
 Cyw2rvlWaHj5daYG2c5EX1RDl+ftX6CiasgrVgKJY4/D8f9ppOx0e6JHE3USg1YD8lp6GU4j/
 R7/4TsJKUfl7ykUbpU68zgD+Ol6iA181u4Dm12ey/hPtqv8HN5VJW11yhjjxlsltwd6Q0bd+d
 3Dm/++PiGP/A+osD9TC4jGRx7mi7iZFj2ZV+7BDx/+8wODXlCHx+8Pf0vNX3tOJC5wetp6VF9
 Th5tpQabFcDTRa25QDtJYEYcMIWV6H+MTVz21nTbeBhBJVjwNnHy4LN1b3qSTo+PLX7jTu7Ei
 c1oJUlJRb907ayeDDtrHSyk/8dJST9hlLXDiUzO3AhkDuxCJQ7hkzFBLTNzoLoXV5bO/qSepC
 sCVwBLnCqqSykPMQn5jMiQqJvn6TwEvJvJ0OokqXl42Ozn3wsiCCMe6Jkae0K27VGPGraaopo
 lUrHZkpfrmRQu0q4kcbBk4xf5h3B0kMHI1W7qPQCYI/EQAqq/jM9bR+kYPTs3ROaw0q2v+PRq
 KopxqNMvOFoP3scCgJo+1EZlgpuBu22b0u1lD97nWEYEFC7PB5IEn5xVyWR0ErX2dpXcTD7H2
 OSnWaAHjoJrA31DMBA7KwqA4AtXJ0G8mVt0o27o0MtdO513PS3ISt77qZ9vh5dhIor8U6aAlv
 05wINrM0jgRZLmG8dlHvOUCwM0zUguwe2VgxGUVFw3TDWXFjEGfceOI3rAycTvHPiY5iP3T4a
 iUSgl18yH7ODQRY1L5HtN5MJclKDyyY802cdjqadfL1GIRYwG8u8tNj5QE9JPTBjHuP2cYQlZ
 Y0+PHNuMgUOwExTpu
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 09:10:54 -0000

 > Are you sure about such long name?  This is not a hook, it's just
 > an alist entry along with 'window-height' and 'preserve-size'.

You're right, I was confused.

 > A good short name would be 'body-function' where 'body' has
 > two-fold meaning:
 >
 > 1. it hints to body of the former macro that it replaces;
 >
 > 2. body could also mean window body that this function fills.
 >
 > Here is a completely tested patch that works in all cases:

LGTM.  'body-function' needs an alist entry in the manual then.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 30 Mar 2020 02:35:34 +0000
From juri@HIDDEN Sat Mar 28 20:10:15 2020
Received: from relay10.mail.gandi.net ([217.70.178.230]:38813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jILWo-00048c-4c
 for 39822 <at> debbugs.gnu.org; Sat, 28 Mar 2020 20:10:15 -0400
Received: from mail.gandi.net (m91-129-96-173.cust.tele2.ee [91.129.96.173])
 (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 92BFD240003;
 Sun, 29 Mar 2020 00:10:06 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Cc: Davor Rotim <drot@HIDDEN>,  39822 <at> debbugs.gnu.org
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
 <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
Date: Sun, 29 Mar 2020 01:36:27 +0200
In-Reply-To: <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN> (martin rudalics's
 message of "Mon, 16 Mar 2020 10:24:43 +0100")
Message-ID: <87mu80jblw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 00:10:15 -0000

--=-=-=
Content-Type: text/plain

>> But I already agreed about adding a new arg to
>> 'after-display-function', and will add it anyway.
>
> OK.  To avoid confusions 'after-display-function' should be renamed to
> 'after-display-buffer-function' at least.

Are you sure about such long name?  This is not a hook, it's just
an alist entry along with 'window-height' and 'preserve-size'.

A good short name would be 'body-function' where 'body' has
two-fold meaning:

1. it hints to body of the former macro that it replaces;

2. body could also mean window body that this function fills.

Here is a completely tested patch that works in all cases:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=body-function.patch

diff --git a/lisp/window.el b/lisp/window.el
index b54f1633f5..00e793db95 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -7070,6 +7070,12 @@ window--display-buffer
         (set-window-dedicated-p window display-buffer-mark-dedicated))))
     (when (memq type '(window frame tab))
       (set-window-prev-buffers window nil))
+
+    (when (functionp (cdr (assq 'body-function alist)))
+      (let ((inhibit-read-only t)
+            (inhibit-modification-hooks t))
+        (funcall (cdr (assq 'body-function alist)) window)))
+
     (let ((quit-restore (window-parameter window 'quit-restore))
 	  (height (cdr (assq 'window-height alist)))
 	  (width (cdr (assq 'window-width alist)))
diff --git a/lisp/dired.el b/lisp/dired.el
index 41bbf9f56a..51ec9a798e 100644
--- a/lisp/dired.el
+++ b/lisp/dired.el
@@ -3520,26 +3521,27 @@ dired-mark-pop-up
 	  ;; Mark *Marked Files* window as softly-dedicated, to prevent
 	  ;; other buffers e.g. *Completions* from reusing it (bug#17554).
 	  (display-buffer-mark-dedicated 'soft))
-      (with-displayed-buffer-window
+      (with-current-buffer-window
        buffer
-       (cons 'display-buffer-below-selected
-	     '((window-height . fit-window-to-buffer)
-	       (preserve-size . (nil . t))))
+       `(display-buffer-below-selected
+         (window-height . fit-window-to-buffer)
+         (preserve-size . (nil . t))
+         (body-function
+          . ,#'(lambda (_window)
+                 ;; Handle (t FILE) just like (FILE), here.  That value is
+                 ;; used (only in some cases), to mean just one file that was
+                 ;; marked, rather than the current line file.
+                 (dired-format-columns-of-files
+                  (if (eq (car files) t) (cdr files) files))
+                 (remove-text-properties (point-min) (point-max)
+                                         '(mouse-face nil help-echo nil))
+                 (setq tab-line-exclude nil))))
        #'(lambda (window _value)
 	   (with-selected-window window
 	     (unwind-protect
 		 (apply function args)
 	       (when (window-live-p window)
-		 (quit-restore-window window 'kill)))))
-       ;; Handle (t FILE) just like (FILE), here.  That value is
-       ;; used (only in some cases), to mean just one file that was
-       ;; marked, rather than the current line file.
-       (with-current-buffer buffer
-	 (dired-format-columns-of-files
-	  (if (eq (car files) t) (cdr files) files))
-	 (remove-text-properties (point-min) (point-max)
-				 '(mouse-face nil help-echo nil))
-	 (setq tab-line-exclude nil))))))
+		 (quit-restore-window window 'kill)))))))))
 
 (defun dired-format-columns-of-files (files)
   (let ((beg (point)))
diff --git a/lisp/files.el b/lisp/files.el
index 8ce0187f5b..4b5c7d1e55 100644
--- a/lisp/files.el
+++ b/lisp/files.el
@@ -7253,10 +7253,15 @@ save-buffers-kill-emacs
                   (setq active t))
              (setq processes (cdr processes)))
            (or (not active)
-               (with-displayed-buffer-window
+               (with-current-buffer-window
                 (get-buffer-create "*Process List*")
-                '(display-buffer--maybe-at-bottom
-                  (dedicated . t))
+                `(display-buffer--maybe-at-bottom
+                  (dedicated . t)
+                  (window-height . fit-window-to-buffer)
+                  (preserve-size . (nil . t))
+                  (body-function
+                   . ,#'(lambda (_window)
+                          (list-processes t))))
                 #'(lambda (window _value)
                     (with-selected-window window
                       (unwind-protect
@@ -7264,8 +7269,7 @@ save-buffers-kill-emacs
                             (setq confirm nil)
                             (yes-or-no-p "Active processes exist; kill them and exit anyway? "))
                         (when (window-live-p window)
-                          (quit-restore-window window 'kill)))))
-                (list-processes t)))))
+                          (quit-restore-window window 'kill)))))))))
      ;; Query the user for other things, perhaps.
      (run-hook-with-args-until-failure 'kill-emacs-query-functions)
      (or (null confirm)
diff --git a/lisp/minibuffer.el b/lisp/minibuffer.el
index 7f5b597542..d94582a908 100644
--- a/lisp/minibuffer.el
+++ b/lisp/minibuffer.el
@@ -1973,7 +1973,7 @@ minibuffer-completion-help
              ;; minibuffer-hide-completions will know whether to
              ;; delete the window or not.
              (display-buffer-mark-dedicated 'soft))
-        (with-displayed-buffer-window
+        (with-current-buffer-window
           "*Completions*"
           ;; This is a copy of `display-buffer-fallback-action'
           ;; where `display-buffer-use-some-window' is replaced
@@ -1991,62 +1991,64 @@ minibuffer-completion-help
 		 '(window-height . resize-temp-buffer-window)
 	       '(window-height . fit-window-to-buffer))
 	    ,(when temp-buffer-resize-mode
-	       '(preserve-size . (nil . t))))
-          nil
-          ;; Remove the base-size tail because `sort' requires a properly
-          ;; nil-terminated list.
-          (when last (setcdr last nil))
-          (setq completions
-                ;; FIXME: This function is for the output of all-completions,
-                ;; not completion-all-completions.  Often it's the same, but
-                ;; not always.
-                (let ((sort-fun (completion-metadata-get
-                                 all-md 'display-sort-function)))
-                  (if sort-fun
-                      (funcall sort-fun completions)
-                    (sort completions 'string-lessp))))
-          (when afun
-            (setq completions
-                  (mapcar (lambda (s)
-                            (let ((ann (funcall afun s)))
-                              (if ann (list s ann) s)))
-                          completions)))
+	       '(preserve-size . (nil . t)))
+            (body-function
+             . ,#'(lambda (_window)
+                    ;; Remove the base-size tail because `sort' requires a properly
+                    ;; nil-terminated list.
+                    (when last (setcdr last nil))
+                    (setq completions
+                          ;; FIXME: This function is for the output of all-completions,
+                          ;; not completion-all-completions.  Often it's the same, but
+                          ;; not always.
+                          (let ((sort-fun (completion-metadata-get
+                                           all-md 'display-sort-function)))
+                            (if sort-fun
+                                (funcall sort-fun completions)
+                              (sort completions 'string-lessp))))
+                    (when afun
+                      (setq completions
+                            (mapcar (lambda (s)
+                                      (let ((ann (funcall afun s)))
+                                        (if ann (list s ann) s)))
+                                    completions)))
 
-          (with-current-buffer standard-output
-            (set (make-local-variable 'completion-base-position)
-                 (list (+ start base-size)
-                       ;; FIXME: We should pay attention to completion
-                       ;; boundaries here, but currently
-                       ;; completion-all-completions does not give us the
-                       ;; necessary information.
-                       end))
-            (set (make-local-variable 'completion-list-insert-choice-function)
-                 (let ((ctable minibuffer-completion-table)
-                       (cpred minibuffer-completion-predicate)
-                       (cprops completion-extra-properties))
-                   (lambda (start end choice)
-                     (unless (or (zerop (length prefix))
-                                 (equal prefix
-                                        (buffer-substring-no-properties
-                                         (max (point-min)
-                                              (- start (length prefix)))
-                                         start)))
-                       (message "*Completions* out of date"))
-                     ;; FIXME: Use `md' to do quoting&terminator here.
-                     (completion--replace start end choice)
-                     (let* ((minibuffer-completion-table ctable)
-                            (minibuffer-completion-predicate cpred)
-                            (completion-extra-properties cprops)
-                            (result (concat prefix choice))
-                            (bounds (completion-boundaries
-                                     result ctable cpred "")))
-                       ;; If the completion introduces a new field, then
-                       ;; completion is not finished.
-                       (completion--done result
-                                         (if (eq (car bounds) (length result))
-                                             'exact 'finished)))))))
+                    (with-current-buffer standard-output
+                      (set (make-local-variable 'completion-base-position)
+                           (list (+ start base-size)
+                                 ;; FIXME: We should pay attention to completion
+                                 ;; boundaries here, but currently
+                                 ;; completion-all-completions does not give us the
+                                 ;; necessary information.
+                                 end))
+                      (set (make-local-variable 'completion-list-insert-choice-function)
+                           (let ((ctable minibuffer-completion-table)
+                                 (cpred minibuffer-completion-predicate)
+                                 (cprops completion-extra-properties))
+                             (lambda (start end choice)
+                               (unless (or (zerop (length prefix))
+                                           (equal prefix
+                                                  (buffer-substring-no-properties
+                                                   (max (point-min)
+                                                        (- start (length prefix)))
+                                                   start)))
+                                 (message "*Completions* out of date"))
+                               ;; FIXME: Use `md' to do quoting&terminator here.
+                               (completion--replace start end choice)
+                               (let* ((minibuffer-completion-table ctable)
+                                      (minibuffer-completion-predicate cpred)
+                                      (completion-extra-properties cprops)
+                                      (result (concat prefix choice))
+                                      (bounds (completion-boundaries
+                                               result ctable cpred "")))
+                                 ;; If the completion introduces a new field, then
+                                 ;; completion is not finished.
+                                 (completion--done result
+                                                   (if (eq (car bounds) (length result))
+                                                       'exact 'finished)))))))
 
-          (display-completion-list completions))))
+                    (display-completion-list completions))))
+          nil)))
     nil))
 
 (defun minibuffer-hide-completions ()

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 29 Mar 2020 22:59:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 29 18:59:22 2020
Received: from localhost ([127.0.0.1]:60059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIgtm-000790-0U
	for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 18:59:22 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:50747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jIgtk-00078j-SS
 for 39822 <at> debbugs.gnu.org; Sun, 29 Mar 2020 18:59:21 -0400
X-Originating-IP: 91.129.102.97
Received: from mail.gandi.net (m91-129-102-97.cust.tele2.ee [91.129.102.97])
 (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 4738960002;
 Sun, 29 Mar 2020 22:59:12 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
 <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
 <87mu80jblw.fsf@HIDDEN>
 <761674aa-bf8c-d6e6-6939-5561524a267f@HIDDEN>
Date: Mon, 30 Mar 2020 01:57:52 +0300
In-Reply-To: <761674aa-bf8c-d6e6-6939-5561524a267f@HIDDEN> (martin rudalics's
 message of "Sun, 29 Mar 2020 11:10:43 +0200")
Message-ID: <87ftdqpy4v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> LGTM.  'body-function' needs an alist entry in the manual then.

Pushed to master with updating the manual.

Please check if this report could be closed now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 16 Mar 2020 09:24:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 05:24:57 2020
Received: from localhost ([127.0.0.1]:36057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDlzV-0004cU-L1
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 05:24:57 -0400
Received: from mout.gmx.net ([212.227.15.19]:60609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jDlzU-0004cG-Cj
 for 39822 <at> debbugs.gnu.org; Mon, 16 Mar 2020 05:24:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1584350685;
 bh=G/IyqWYNqSuNUnCoJhT75D/2nAnsmuVvUDvur+PfBlw=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=EF6A6Pk/gdhtd6wzNbtE6syxHjDeAJfUcJC1Bg9CC+i3eQKudSqUwb1NVjKBzUnbr
 OrEg6BPegmMIYL6Rv0Xf3k1Dlvg1hs9pOFKuRdkpL6QjXdaiMQwPb07xGSsg75hxdO
 64njmF8S+0ncWp0eRYhqv/kGOOFBx8sYMCvzRVW8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.221]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M6lpM-1jELXn2jpW-008J4q; Mon, 16
 Mar 2020 10:24:45 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
 <87sgi9faeb.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <6678f23e-e5cf-07f7-4257-482130a694b1@HIDDEN>
Date: Mon, 16 Mar 2020 10:24:43 +0100
MIME-Version: 1.0
In-Reply-To: <87sgi9faeb.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:PqpxWgg8FPProwmeITFutbOCtcKzD0Rf7bsNgrTdWqXIq6XqzwD
 +PB+kBfzk9XQ74xRSqqW3K+tksKUbgowMCBT1kMNi33joPmsDhS0dZXiMVqEB8nOyIaN9MW
 m/SfwlN8zOqnwHX7tzzi7NxiZj+UfZBbSNOHTCOI9tf/Z43Y+f9PcUK5fy1J6L08e4gBF6Q
 t4vbPnHvqY5FMqwgthMwg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WAO3KxF0f2Q=:3m219nZSPLT0CA3bvxsV3X
 7eqpbdBVuBu6lAUCJrQJmfR+aYMRpRuxZk7uh9m9ngj7QMUitR/zJhk/m2fmsKKzkTQKOGWtb
 wU6aFjAE4Eflrqy3ES2rDijZcl/VVgVXQ66bZ1Limca60jcNopymAWwyHvilJu9bu5QHB0yU8
 g4jJalkEM98eDhS301PAyIa8whUJbVwS3iyq08XedT1oRTsAmXVfC5Hhci2+ppXbudBPQ8qKH
 WoCWeHi2Zf356MdgZ5Ta+Y4vah/x0Cy4IS2kaQZeoViOcvXSL584MWLQrWOyu0MPOSnHHc0LZ
 wVVTaeKJg7J2HnY6iCdST9hkFiN9dbfR02TJkoBkTdbsKwnhWawLjNGfC8ZSRnYbUX3pn+Gfg
 Fjzjd7woQbM2TshCl2JVc1H2c5ps++0Xh8SD5IRFGqm4TlgkViJ15CGz75teLnv+SjiwS8QUF
 4j0swgoUKFlONHWAU7SVNSMqYgRjpj8QIRv9Suglf02eE0mu+6NibHh+GE/tQ5Zo1yPQ1NSyI
 TkIkC18w2e5SKOwH7Wr7alEGTrqFJcj6eWb4Tpqq4q5G7LiNL00xYQ7eqjWS0yDi/+iF02TOG
 2PsA9j1PfBwz58SExSXsfDRSAaqcZFX2BzCtURhj5GfimvbaYJfSOMY8RIQV9liH1cqwLDRLU
 gw/wc71tLkjDDRgodEGQsEVLIj9NLCZpFyMHSg9VEm0ioLq0XRpGbqXZI3AsLlSlmL2cWoKCR
 DBcUw8nDVDrNXQDH20bQ8uI5XT1w4lIjwUMoRP33HUWRVy4fbOoUp5y/IPIC66g5C1lOQlC5V
 ZlZxm9H44ARifpdubWtQ7qwz0F0fkpEvGZw223QLFwgW4FjxhZcJf48feBTalpNVjSgsLpIMM
 M8mpspt4jM90+gj5LaEY+nGmVhDBXrr7/tdaIjCZ+YyBI+h5q1zIMHVLbyKjsDKgHqJNIvsO7
 QoBG1uhwQJn4/SxHEF+k6mvPyn0RmO6GhNes97Z84BURCC8f33KM6AnAjcQGqYP36Gtab+V4V
 2+Kr/Cl/cmIMjVqg3zgOfqNnqywQH8ryy2hxFash+Guv5SLOSy0pvv3TYrrjKKXgGmEo8ZmdF
 4GNxke5FwcCpfHnHHYxwJmVTmHDwVpydCTuJE8qeQCv3XNmb7vT+h8n+9etT3ddTAPMbbFQ0s
 dAwPNmWw5Al7tH3pOtM7A6qXpoBJNLiv2cfxCoSxds5GteZowcAd0duKjPzJS/yC8/tRRrurh
 PFr2edEDCmmOUXh0Z
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Yes, it's overkill.  I can't imagine a situation when the
 > *Completions* buffer needs to be displayed in two windows.

Separate completions in two different frames?

 > I see that you proposed this as a use case that justifies
 > adding a WINDOW arg to 'after-display-function'.
 > But I already agreed about adding a new arg to
 > 'after-display-function', and will add it anyway.

OK.  To avoid confusions 'after-display-function' should be renamed to
'after-display-buffer-function' at least.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 16 Mar 2020 00:33:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 20:33:08 2020
Received: from localhost ([127.0.0.1]:35837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDdgq-0005Zl-7y
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 20:33:08 -0400
Received: from caracal.birch.relay.mailchannels.net ([23.83.209.30]:25976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jDdgo-0005Zd-NT
 for 39822 <at> debbugs.gnu.org; Sun, 15 Mar 2020 20:33:07 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 8F51354089C;
 Mon, 16 Mar 2020 00:33:05 +0000 (UTC)
Received: from pdx1-sub0-mail-a100.g.dreamhost.com
 (100-96-13-25.trex.outbound.svc.cluster.local [100.96.13.25])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 2A63354091B;
 Mon, 16 Mar 2020 00:33:05 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a100.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 16 Mar 2020 00:33:05 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Minister-Arch: 274172af62cbc92a_1584318785405_2654885770
X-MC-Loop-Signature: 1584318785404:1946111924
X-MC-Ingress-Time: 1584318785404
Received: from pdx1-sub0-mail-a100.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a100.g.dreamhost.com (Postfix) with ESMTP id 43185B217C;
 Sun, 15 Mar 2020 17:33:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=+mT2SxhTvOagRboODRIn6YAnXKY=; b=
 TIIvMyhV+3ucK0MCnYmQSynNMdLEJP0oCKLm6UsyjVAW+ZSD1fZ+Ayvprhy5gcy8
 vuIfoHiU4FoooNt9cO1mQ65vqnegrbXfeXcWxIdWN0V7B0cRPAKtKwqTc4IyOaFN
 upkkk6OXLm6ono5PSv4l2Ros7JBHOHHwgAktxO+Vsbg=
Received: from mail.jurta.org (m91-129-107-65.cust.tele2.ee [91.129.107.65])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a100.g.dreamhost.com (Postfix) with ESMTPSA id EFC17B2175;
 Sun, 15 Mar 2020 17:32:56 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a100
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
 <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
Date: Mon, 16 Mar 2020 01:47:40 +0200
In-Reply-To: <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN> (martin rudalics's
 message of "Sun, 15 Mar 2020 18:49:35 +0100")
Message-ID: <87sgi9faeb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudefuddgleduucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdejrdeiheenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtjedrieehpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Do you propose to rewrite 'completion--insert-strings' for accept a new
>> argument 'window'?  Or to rely on the fact that the displayed window should
>> be already selected by its caller?  Will this break backward-compatibility
>> for packages that use it?
>
> Maybe it's overkill but I'd give 'completion--insert-strings' an
> additional window argument.

Yes, it's overkill.  I can't imagine a situation when the
*Completions* buffer needs to be displayed in two windows.

I see that you proposed this as a use case that justifies
adding a WINDOW arg to 'after-display-function'.
But I already agreed about adding a new arg to
'after-display-function', and will add it anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 15 Mar 2020 17:49:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 13:49:48 2020
Received: from localhost ([127.0.0.1]:35480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDXOW-00035k-JB
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 13:49:48 -0400
Received: from mout.gmx.net ([212.227.17.21]:59477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jDXOU-00035R-Oi
 for 39822 <at> debbugs.gnu.org; Sun, 15 Mar 2020 13:49:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1584294577;
 bh=M8ooXVqQHq12fPwhoiDP8QmyCdnbMz8vnhx5ZZXf9ik=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=QeDoeLw1LWckuywRNTV6rw4ufau+6FgVu3akdXu/FxcNBATVr+pI/OdUFnI7AjJpC
 kf8n+xQ6NSim61/GZZX+n9fxhwzOfeCGVmS0tf3QWQwGAISDE4B5xGeoL6T/mZJ2GC
 Ruy+R99L5SSwUOY7sZKYVrFQaFyin6RtCrYo5dGw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.103] ([212.95.7.232]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MEFvp-1j3ssG1gV3-00ACwd; Sun, 15
 Mar 2020 18:49:37 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
 <8736aaedgb.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <7581d32e-f8b9-0d66-b496-b2584ffb65be@HIDDEN>
Date: Sun, 15 Mar 2020 18:49:35 +0100
MIME-Version: 1.0
In-Reply-To: <8736aaedgb.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:rdQQAqMW18pxNAAATvUYrvy0WF/CKW5BQvWdpLu0e1ygLSGhHSq
 nk3b5+H6gnRcG7kfqysrPvuSbplLXA19oPtus7pYS677tmf6K9tK2aH+3Tw9XrfDOuuTzlT
 VRkVKqoTWUPwcYewpiYIRKOU0KapNA+01ZveMCwlgSBjkzQGKHyfc27SXpXYC1fpm7ofEU1
 xnbL+BUA+ukLGU98FrYIQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vFJ7ulWVXIQ=:fPQmC3LpYDuhqWxb8T/2Ms
 PIMyixKzGdGpjYsU/D47vUvLqMYjL4kXMGDvlYPLe+t7WpqzF92yPXeKf5tO0x1GHXW6NMxR4
 /zZYR//Yi3eqL62SlQx44/0P6KJvGxDYaJ5Z7qoBal6hIde6JGY+lQHHVnz1LdD6JJsYH5hCb
 jbOS2aEr+cl2TSO2P5AG7pvb95kboerGDz22tLTRL05A0kqximeRHsXJ0mPw9wIUPimSMm/Q2
 qh0Z7oq0myX/Y01MDMBW8kmiVTvmzX+LI8N6bqSLHevpjC/sSUHihrR2+2AuouY0bRN/85h4g
 Y7u7yGnCiyGFD/tSkADxfFc3CKznk3q4l1lAmSGgYEqseGNwrG/mohrJ32O7OsPkTeyLRkDvw
 R7JrgI0X4IYs7QKxlBWJ1tr4c4Lt3e144OA/DhQofXiZeftJNi+9o2J0s3xOfpmxmf93K9qc5
 8x+4xT0eNj2wWItx7JfoCPKCawq2baCbYzxG3FuvQIR8qehPswf+EQ0L+XhUa0NkjU5UjV6yl
 kWSQZSjyLJmPXO782PUn70idttd5WVk06umox4paQFqHBckgae9shhyI3pCU+hrefT8mD/db6
 MH69UHsmeM3FT3A2EGejElyPrtmOVTu4by1ZLSBXtpwSo3AY0I6svQGrCvW+UHVaSS1mkaMw3
 ndTwKFkLH/DbPW3u15uw0w+yjtNsxQsTUpQ2/Tj7TWXHY0+mQhYtFcBNX5FPt9QOQEoVqKpy7
 8p4E/HQfdesxf84sa22/R4Zxhu1DFxXhho2ki+CcOSctco7O/eoWMQQhcoY9crOZhI78de/fh
 Hj+MmUvqez2WhQ0U4EmYDxRVjjqtJEmfQRYf8xKh4Dang6wnngzAqDACbJLpeeycJIfBOe0nI
 f4Avw7uIBZZ0Y49KgGCqdRYLe4f+HDzc1+v6rCu9M12b4CDcUbtnyd6TcML1YGxYmcw4YkK3b
 cW8CI7nnfmxQY1myJ+wdKb6HLBkWaOVmy1CPvwMVmnwM/nhTLb8cJ3lwHeZz5jFAXDcq6G124
 a6cPC90kItxQDMNmBhjqXQsaxKaBICAlqEppvkZGMo107qcLrM7YquDs10lKk3JXgHDknB3Ds
 x+BKn5oQ1JGYoeFGmFlxX/o+5ruB9uTgjS8fZ2Q0gvW8VJMtJhRLPYCPaGgI7fkYDUBuHh50Y
 62bnhu8dhgtxW5Zc7agzr9e6V0aiAj0+SY5ViyoU2diwObcLt4dHzdXg0fEDoWpRiElq5DZea
 R59mPjDsXHoS7v2WH
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > These calls should remain in 'window--display-buffer' to adjust the
 > window height afterwards.

Yes.

 >> But what if a function like 'dired-format-columns-of-files' wanted to
 >>
 >> (1) know the width of the window used for displaying the buffer,
 >
 > 'dired-format-columns-of-files' is called when the window
 > is already displayed, so it can find the width of the window,
 > and it uses 'completion--insert-strings' for that, see below.

Does it know the window for sure?  Always think of the case where the
buffer is already displayed in some other window.

 >> (2) according to that (presumably fixed) width adjust columns, establish
 >> a maximum width of buffer lines or do something else width related,
 >
 > Same as above.
 >
 >> (3) leave it to 'window--display-buffer' to adjust the window height
 >> afterwards?
 >
 > It already allows 'window--display-buffer' to adjust the window height
 > afterwards in the previous patch.
 >
 >> And be able to do (1)-(3) in the orthogonal direction, that is, base (2)
 >> on a presumably fixed window height?
 >
 > You mean to not allow adjusting the window height afterwards?
 > Then the call of 'display-buffer' should be without alist entries
 > 'window-height' and 'preserve-size'.

We have to be always prepared for the case that a split happens in the
orthogonal direction.

 > The current implementation doesn't supply the window, and
 > 'dired-format-columns-of-files' and 'minibuffer-completion-help'
 > use 'completion--insert-strings':
 >
 > 	   (window (get-buffer-window (current-buffer) 0))

That's precisely what I'm afraid of (and it happens in a dozen other
cases in our code base as well, IIRC).  Better make sure now that we
always act on the window returned by 'display-buffer'.

 > 	   (wwidth (if window (1- (window-width window)) 79))
 >
 > Do you propose to rewrite 'completion--insert-strings' for accept a new
 > argument 'window'?  Or to rely on the fact that the displayed window should
 > be already selected by its caller?  Will this break backward-compatibility
 > for packages that use it?

Maybe it's overkill but I'd give 'completion--insert-strings' an
additional window argument.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 15 Mar 2020 00:04:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 20:04:50 2020
Received: from localhost ([127.0.0.1]:34081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDGlt-0002Js-PB
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 20:04:50 -0400
Received: from chocolate.birch.relay.mailchannels.net ([23.83.209.35]:8784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jDGlr-0002Jj-NQ
 for 39822 <at> debbugs.gnu.org; Sat, 14 Mar 2020 20:04:48 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5332E920AC2;
 Sun, 15 Mar 2020 00:04:46 +0000 (UTC)
Received: from pdx1-sub0-mail-a76.g.dreamhost.com
 (100-96-54-10.trex.outbound.svc.cluster.local [100.96.54.10])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id CEC03920A0F;
 Sun, 15 Mar 2020 00:04:45 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a76.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 15 Mar 2020 00:04:46 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Trouble-Fearful: 5e02e5d1129c3be7_1584230686084_2619300125
X-MC-Loop-Signature: 1584230686084:2257009492
X-MC-Ingress-Time: 1584230686084
Received: from pdx1-sub0-mail-a76.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a76.g.dreamhost.com (Postfix) with ESMTP id 87BA6B05B3;
 Sat, 14 Mar 2020 17:04:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=cEvEaZZfGHIHHhXvZga/W9XK52A=; b=
 fzrDJ1FcuSX1veH0voyktJzeh2+n+z8Yo63/D8HDQJqIr9MDJhi0NMsygYNe1hGI
 9bRK0tybfC1Xcxp+3v2qUf7uiWS285EDLMyd26XBbte1wHt3AUUY5eTZTdQ2kJ3F
 9GfMfhUYj9UTqiRHN6kP53E9JVtdZ+T9n6X8fRKHiso=
Received: from mail.jurta.org (m91-129-107-65.cust.tele2.ee [91.129.107.65])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a76.g.dreamhost.com (Postfix) with ESMTPSA id 2771DB05B1;
 Sat, 14 Mar 2020 17:04:36 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a76
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
 <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
Date: Sun, 15 Mar 2020 01:24:44 +0200
In-Reply-To: <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN> (martin rudalics's
 message of "Fri, 13 Mar 2020 10:38:26 +0100")
Message-ID: <8736aaedgb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeftddguddvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdejrdeiheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtjedrieehpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Here is the first step, this patch seems to keep the original behavior,
>> but I need your help to finish it.  Could you confirm that calls of
>> window-preserve-size at the end of with-displayed-buffer-window are
>> not needed anymore after this patch is applied, because there are the
>> same calls of window-preserve-size at the end of window--display-buffer
>> that are called later after buffer contents is filled
>> by after-display-function in the middle of window--display-buffer:
>
> Didn't we agree that 'vaction' is harmful anyway so these "same calls"
> should never have been applied in the first place?  I wouldn't bother
> about them at the moment, when something fails we find out soon enough.

These calls should remain in 'window--display-buffer' to adjust the
window height afterwards.

> But what if a function like 'dired-format-columns-of-files' wanted to
>
> (1) know the width of the window used for displaying the buffer,

'dired-format-columns-of-files' is called when the window
is already displayed, so it can find the width of the window,
and it uses 'completion--insert-strings' for that, see below.

> (2) according to that (presumably fixed) width adjust columns, establish
> a maximum width of buffer lines or do something else width related,

Same as above.

> (3) leave it to 'window--display-buffer' to adjust the window height
> afterwards?

It already allows 'window--display-buffer' to adjust the window height
afterwards in the previous patch.

> And be able to do (1)-(3) in the orthogonal direction, that is, base (2)
> on a presumably fixed window height?

You mean to not allow adjusting the window height afterwards?
Then the call of 'display-buffer' should be without alist entries
'window-height' and 'preserve-size'.

> I conjecture that in such case, the function (functions?) specified by
> 'after-display-function' should be supplied the window to display the
> buffer as first argument (just in case there's another window showing
> the same buffer).  WDYT?

The current implementation doesn't supply the window, and
'dired-format-columns-of-files' and 'minibuffer-completion-help'
use 'completion--insert-strings':

	   (window (get-buffer-window (current-buffer) 0))
	   (wwidth (if window (1- (window-width window)) 79))

Do you propose to rewrite 'completion--insert-strings' for accept a new
argument 'window'?  Or to rely on the fact that the displayed window should
be already selected by its caller?  Will this break backward-compatibility
for packages that use it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 13 Mar 2020 09:38:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 05:38:42 2020
Received: from localhost ([127.0.0.1]:58154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCgmA-0003GH-6E
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 05:38:42 -0400
Received: from mout.gmx.net ([212.227.17.20]:46343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jCgm8-0003G4-3k
 for 39822 <at> debbugs.gnu.org; Fri, 13 Mar 2020 05:38:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1584092309;
 bh=Dk7b+ZKQF7gCU7VdrddnUYBm3o5OQ+AvJImvPjhhQL0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=W3DK3M7lzWEGxZHK7dgfkJ0H3B5jhQMBztOVdJ+US2BhIWBjy9f/t3k6pJmOrRw24
 VKVQYXv1MFogJOvC0C80zp6QD9Tqeoo3QFpuntijaI/8AY7gOZW7FOmiVSqRoMKdWd
 SavZ8StcY8Za5fAmxr7ffi/k+Cqs9CtgItQ7qUHE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.120]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N6KUT-1jNVb33Qdt-016k3R; Fri, 13
 Mar 2020 10:38:28 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
 <87pndhjiac.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <d5ff901a-747a-6489-6462-af4c04bf1865@HIDDEN>
Date: Fri, 13 Mar 2020 10:38:26 +0100
MIME-Version: 1.0
In-Reply-To: <87pndhjiac.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:s2cwkj1+5E8WGmwkKfigvi7dcZATpb/cc0RgLk710XuqTreWjIG
 cbtYymPJKAj8twUDXlH92NIOLkj4wtOMJmJv4Ze56itjdK/oiruXaRe0k/0ZF7w/NR8i7Gr
 bHpiDd2/M7re2XCY0EVj4wvhSRQvkzmzS694Fbh+YPR/QZZT0OzUCv96oSv4eAIduK5OrRj
 jrFuMhCr7Rh2k1TancBtw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:VycPhwqKTmc=:yVFvWeyQqPRRP3IPUXdr0k
 ylt5seJ9hlAygMUprzeyRNvtP6ExlGAZnwNcn1RlkwXy6w68rIY6A/j7K5Yp4ubk90owQ+6x8
 D2kuZfvyrzHwAIjo33mnGUFehWJ4d77vwgxvTgfcCXAa3WMj9rQ7cO44bqM+/LWw3l7/9GvVo
 vnTJZrOq26WYGGJS4aaTa1/tyA8CdkojMxTwcQyLvl4+F4/sLUgFJoaZzUzGQSJxPx9DZwCbu
 +HjUcU5NarbzeKmg4QJcu1/ECupuQCtH4AIltxpoaNMYx6iWkIgi3MPjuzx5V5Rd0RG1AHXhu
 rXRDEBAKBJ0mvM621V5vOMoaTthpPqWI3h3O1NC9xQ++68CGOy26GmjgI2PrKQo7MCgFc+OP9
 xhTK4bmy4TUt4LICjr8zNMnEixU0w7C836T1vrAyFFUf4GzGP2i3WN55Wu5LjPfDIZrBoMHPe
 wbI0IZFIiHQUIgTmPDv6H9ON8OFFVoSrozCUfCjPoP8LDBsmrXFhD9AJUu1GoSddkuA7QOnrE
 Z7m+Ip/naio76cTJ3MBMGd8/PvKhGq6jT7CwABAaxHeEWYULCXUdnk2vHAOZUjaQo2/Halc7V
 Kucz1lbe7kLfMlKdXWsuIJvA42IVxho+d6/ltCVAiqoK1z6Ad433oActcp4PHdbfENyrsa8Np
 D4SBFlfZ2RD1kha6Mf6Jc39BAdIjNIfwsgLN7H7pdFnMS9KDPyhIkLLhtNb++328BSbPFEmvR
 iqvt1QX/hTjS9dQ2sSNnnCIoE1W2goqVhBdLR8r/1jlhIpJRkcG4oXvIeR/G04a/3DqKCxPy3
 oQhwB8PDoaQajYkYi5YR9Mp2PVZBw9d9Tx8KLhn3zNI9eYzLGKaY2j1zaKDfoLHplnI9TtqIf
 czWPUnrsYuYqxcbpF9fh7h0cQ9PowHPwWzyuNy2orNP4/IC0gMk2WDqIjF6snv9eqJYfuTCF1
 L0IYoEuHzv0HChFApwYtcVUdC+zCrmdBHBqcxfjvF0Jv/QbeoNRADN1DLgwqCSohh/Tpm9OnL
 5HzOJIGs+RhKrDjLaYDdANdTnCWV8Y/wj9y01ss3MfEGsKyDGzqpy4K62q6WBNJOscgTJUNqU
 Pmi4oMdpJKCdotrJ5Fn8Ud6nx8EmVaF/1UAh3A6w/A4CgBoAtNXMcsdXHox7HUq9Ba8/EGksY
 0Ti8yUCJp32kOD3jjXFph++fohOAYkUk72B3Mi5I1b7+/hoQ3A/6Ts5wpEkqA1glfXXdeVALz
 dH0FptHJK9igspcy/
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > Here is the first step, this patch seems to keep the original behavior,
 > but I need your help to finish it.  Could you confirm that calls of
 > window-preserve-size at the end of with-displayed-buffer-window are
 > not needed anymore after this patch is applied, because there are the
 > same calls of window-preserve-size at the end of window--display-buffer
 > that are called later after buffer contents is filled
 > by after-display-function in the middle of window--display-buffer:

Didn't we agree that 'vaction' is harmful anyway so these "same calls"
should never have been applied in the first place?  I wouldn't bother
about them at the moment, when something fails we find out soon enough.

But what if a function like 'dired-format-columns-of-files' wanted to

(1) know the width of the window used for displaying the buffer,

(2) according to that (presumably fixed) width adjust columns, establish
a maximum width of buffer lines or do something else width related,

(3) leave it to 'window--display-buffer' to adjust the window height
afterwards?

And be able to do (1)-(3) in the orthogonal direction, that is, base (2)
on a presumably fixed window height?

I conjecture that in such case, the function (functions?) specified by
'after-display-function' should be supplied the window to display the
buffer as first argument (just in case there's another window showing
the same buffer).  WDYT?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 12 Mar 2020 22:58:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 18:58:34 2020
Received: from localhost ([127.0.0.1]:57927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCWmg-0005WR-1w
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 18:58:34 -0400
Received: from antelope.elm.relay.mailchannels.net ([23.83.212.4]:26603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jCWmd-0005WF-Gv
 for 39822 <at> debbugs.gnu.org; Thu, 12 Mar 2020 18:58:32 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id E7523360585;
 Thu, 12 Mar 2020 22:58:29 +0000 (UTC)
Received: from pdx1-sub0-mail-a79.g.dreamhost.com
 (100-96-13-25.trex.outbound.svc.cluster.local [100.96.13.25])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 7090A3605B6;
 Thu, 12 Mar 2020 22:58:29 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a79.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Thu, 12 Mar 2020 22:58:29 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Abiding-Trouble: 2425bd6140fc80a2_1584053909697_2831016892
X-MC-Loop-Signature: 1584053909697:2282708958
X-MC-Ingress-Time: 1584053909697
Received: from pdx1-sub0-mail-a79.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a79.g.dreamhost.com (Postfix) with ESMTP id 9C58B83EDC;
 Thu, 12 Mar 2020 15:58:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=6j1UnEM82nldvpoyMjwJTVj00uk=; b=
 LcgS7JDGbVcyCV1pJBMePRPB79BUjjnhUN6QLI6T4MxMop3nmu+wX1xh9wD5GCek
 kST+Bx4jESEaX9wYgZubtk+4ZvmU2AbtyMVE8+pPfAu5YK3cOA5Qs6q53FN8kmpc
 SFFPEX9LiYH6XlGHcmZDVI2Vg1L2MnK28Zg/LWkWmhs=
Received: from mail.jurta.org (m91-129-107-65.cust.tele2.ee [91.129.107.65])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a79.g.dreamhost.com (Postfix) with ESMTPSA id 92E3C83ECD;
 Thu, 12 Mar 2020 15:58:25 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a79
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
 <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
Date: Fri, 13 Mar 2020 00:54:35 +0200
In-Reply-To: <1a051c61-8522-1932-8600-e220f19105df@HIDDEN> (martin rudalics's
 message of "Mon, 9 Mar 2020 10:02:48 +0100")
Message-ID: <87pndhjiac.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedruddviedgtdefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdejrdeiheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtjedrieehpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

>> It seems better to handle the temp-buffer setup in the buffer display action
>> functions (currently there are two such functions that handle temp-buffer:
>> 'display-buffer--maybe-at-bottom' and 'display-buffer-in-direction'),
>> if this will help to get rid of monstrous macro 'with-displayed-buffer-window'.
>
> Then go for it.

Here is the first step, this patch seems to keep the original behavior,
but I need your help to finish it.  Could you confirm that calls of
window-preserve-size at the end of with-displayed-buffer-window are
not needed anymore after this patch is applied, because there are the
same calls of window-preserve-size at the end of window--display-buffer
that are called later after buffer contents is filled
by after-display-function in the middle of window--display-buffer:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=after-display-function.patch

diff --git a/lisp/window.el b/lisp/window.el
index fc1e7d4a76..5be9d0ee83 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -7052,6 +7052,11 @@ window--display-buffer
         (set-window-dedicated-p window display-buffer-mark-dedicated))))
     (when (memq type '(window frame tab))
       (set-window-prev-buffers window nil))
+
+    ;; Is this the right place to call former body of with-displayed-buffer-window?
+    (when (functionp (cdr (assq 'after-display-function alist)))
+      (funcall (cdr (assq 'after-display-function alist))))
+
     (let ((quit-restore (window-parameter window 'quit-restore))
 	  (height (cdr (assq 'window-height alist)))
 	  (width (cdr (assq 'window-width alist)))
diff --git a/lisp/dired.el b/lisp/dired.el
index a4de51f609..a76d223bed 100644
--- a/lisp/dired.el
+++ b/lisp/dired.el
@@ -3465,23 +3465,28 @@ dired-mark-pop-up
       (with-displayed-buffer-window
        buffer
        (cons 'display-buffer-below-selected
-	     '((window-height . fit-window-to-buffer)
-	       (preserve-size . (nil . t))))
+             `((window-height . fit-window-to-buffer)
+               (preserve-size . (nil . t))
+               (after-display-function
+                .
+                ;; Handle (t FILE) just like (FILE), here.  That value is
+                ;; used (only in some cases), to mean just one file that was
+                ;; marked, rather than the current line file.
+                ,#'(lambda ()
+                    (with-current-buffer buffer
+                      (let ((inhibit-read-only t)
+                            (inhibit-modification-hooks t))
+                        (dired-format-columns-of-files
+                         (if (eq (car files) t) (cdr files) files))
+                        (remove-text-properties (point-min) (point-max)
+                                                '(mouse-face nil help-echo nil))
+                        (setq tab-line-exclude nil)))))))
        #'(lambda (window _value)
 	   (with-selected-window window
 	     (unwind-protect
 		 (apply function args)
 	       (when (window-live-p window)
-		 (quit-restore-window window 'kill)))))
-       ;; Handle (t FILE) just like (FILE), here.  That value is
-       ;; used (only in some cases), to mean just one file that was
-       ;; marked, rather than the current line file.
-       (with-current-buffer buffer
-	 (dired-format-columns-of-files
-	  (if (eq (car files) t) (cdr files) files))
-	 (remove-text-properties (point-min) (point-max)
-				 '(mouse-face nil help-echo nil))
-	 (setq tab-line-exclude nil))))))
+		 (quit-restore-window window 'kill)))))))))
 
 (defun dired-format-columns-of-files (files)
   (let ((beg (point)))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 9 Mar 2020 09:03:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 05:03:02 2020
Received: from localhost ([127.0.0.1]:49768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBEJS-0007kh-12
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 05:03:02 -0400
Received: from mout.gmx.net ([212.227.15.15]:45951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jBEJR-0007kN-0b
 for 39822 <at> debbugs.gnu.org; Mon, 09 Mar 2020 05:03:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1583744571;
 bh=yGbqR/C2G9GDsY9ch1aFH6ts5C+vxcewOJPHHxi/s64=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ejTLmjXnMmxysW1GGgn8Y97nSk6r0rayJzptmWQ4JRpDCUAz+YV9AkGVhlYydC8eM
 DAZ0LDPWQ19T4NV5+fJO9wxF9/LX/L2E8OfhwBUN69WGzBCC0zSWIcMzXtxlFpk5X1
 QOjaT9MaZPTyIL47lLz+tIcEdDDBKe9fQNnRGaB0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.251]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MAwXr-1j4wuA0XRR-00BI48; Mon, 09
 Mar 2020 10:02:51 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
 <87o8tawf59.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <1a051c61-8522-1932-8600-e220f19105df@HIDDEN>
Date: Mon, 9 Mar 2020 10:02:48 +0100
MIME-Version: 1.0
In-Reply-To: <87o8tawf59.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:uP1IF0L/hznAAqWQi9jnkLZGlni3o9Hmy9AGfaCtftplq0yoC0j
 cuspwVpVEv4RNv+m+549JQtQISvybRjn3aUu7H+vMhODwdE+1+cQVnqOty7LgeTYItFkHDE
 PSo6BAZ52HjmlJ9gfD77qaNvueOjhzWUaQddEzRLiJY4ITfrKFVh2W4mlnWhbwNFIOaDwP1
 bn2l3MSLkRwqSToYk0qtw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kFgQ38orlmI=:X1rkRqvdl2tMhTVii0MdHi
 o+t53Gjucq1XIQSQTkbHrxejCSCK7tL682ZiliCavNxZQSdYkZD0K7uaIBtjEN7+YKAAJytde
 PH5Sbs8M3Mg3k2GUSB+yAApoZ/ScTGqca3MtmC8QCfycD1Gg9R60CheVfZBhGFq/vhM5Oz8Ud
 8aZlp6oDKzgUm7cQ2TRYkebdOAGxRiG1s23cO9M8Q+VSAZtVKpkpMOUR91/sDmSCy5zo+dBEd
 J404OrC+ISh80GIC9JdA69OPrsWaLI2MezoHMYwApCp+tNn3SAmIo11aEAtxuN7Zl+HSOO/Er
 7DYIofbVqzQZ9AMVlEMj0XRv4+9YY42zkD9go/HQEXzfFSZYJAdsHRQuLc5SgLFPE0PkT8E3G
 ANb2lZOu4G1bV3LBOiyLiW8T+Gv6KT/f5Trg2THflWdRTx/FoHNZC55bGa7rHs9upSZ+en538
 Uc5ElJBHvMQqml94gpkq9k2kLxO2RB/mut2WJsjImUon3qQAbcQ6oyLJclfSZkHLwiHsorr3V
 Ky/JcAECEVK85MPluinWTgO849D2RskriFUPWR9HsYtumn52LlSvI/W2wZPZEvhugeyGstmYQ
 D36KA54wNUWEvZ7lvcP8OWA5Auh9gYf66qm+f7qqBd/pLf9VCZbcQoOkcnjhOCdqWOekzn6X8
 bKkg0CrDeoEuyVKPe7G32f0msp/uawvis549X+XXN9RFAF/x8ABkaGG+i0WE1vmd3w99OOkS2
 hcjXtxqfmg08cAaAt0EaaQItHGG73sxoQEbsC7IllOH+lcFnCy7tQbrP79bfqIkO3mnDbOenh
 k5DYb1dDBo0IQbYwpv+vnnM7QxFqe+kX1N4UVhlx+69y4f/ROl4ht/eWqlDixnlgQ7Mo3vyfv
 4fatox99WX6oyVJgTIjur+zHjNrDjbmnwl3yyXoGzzVgg4nbyscI5Ky2RNFkUgPUtuWIR5j04
 nX9GNes6yP60PFuEs/6LWpk1wHY67bfyV3ty0CxczsmSGhZXSDRx9htqtL2oCvWYZGxYDYRk9
 Lg0ULa0a4EOKUrIJU60j+hBKjxn6byA1SSux0jKI6mgd3UiDb3vbc+R3/4hdohClqrtNyJnGK
 CXB/6rtoSdWh/s+UVVy1pHX12042IDLp33h5k5fG5PqS/qnm/UIkHGNjRe4hb+/g4MCmx/eqN
 TvOBduJ/hhh6Mv2H316cCohoYguXvej8uQ9zJvjye/0+eyYU+zV99FP7+xA5XfLXqN1W8Anud
 H6AvdJpKxv2FdY/Px
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > It seems better to handle the temp-buffer setup in the buffer display action
 > functions (currently there are two such functions that handle temp-buffer:
 > 'display-buffer--maybe-at-bottom' and 'display-buffer-in-direction'),
 > if this will help to get rid of monstrous macro 'with-displayed-buffer-window'.

Then go for it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 6 Mar 2020 00:04:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 19:04:52 2020
Received: from localhost ([127.0.0.1]:43877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jA0Tz-0006wb-Sg
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2020 19:04:52 -0500
Received: from crocodile.birch.relay.mailchannels.net ([23.83.209.45]:24230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jA0Tx-0006wR-U6
 for 39822 <at> debbugs.gnu.org; Thu, 05 Mar 2020 19:04:50 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id AE318208A9;
 Fri,  6 Mar 2020 00:04:48 +0000 (UTC)
Received: from pdx1-sub0-mail-a97.g.dreamhost.com
 (100-96-54-11.trex.outbound.svc.cluster.local [100.96.54.11])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 44336205CC;
 Fri,  6 Mar 2020 00:04:48 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a97.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Fri, 06 Mar 2020 00:04:48 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Reign-Language: 1a17a9150d87f86d_1583453088508_3402474701
X-MC-Loop-Signature: 1583453088508:3278783719
X-MC-Ingress-Time: 1583453088508
Received: from pdx1-sub0-mail-a97.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a97.g.dreamhost.com (Postfix) with ESMTP id D46D47FFE0;
 Thu,  5 Mar 2020 16:04:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=RoyBljkTryZUWKlTV3IaFrZpZi4=; b=
 M2HT//vLufgTB8fpCbW20bK+0SV7ZFj5fxJunBQTu2CPfowBzcRHN+dmWdXEXS4K
 mZK36uiW8XNLmFSgPlrkX0l0PLdWVFNnFIGbUOGcQUQk0WVgE27EfivqPlIDhP3J
 2jPM3KfilqinDB5AapFTDqiR/9E+jBc8PweFb23H8VU=
Received: from mail.jurta.org (m91-129-103-27.cust.tele2.ee [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a97.g.dreamhost.com (Postfix) with ESMTPSA id 4C0797FFD5;
 Thu,  5 Mar 2020 16:04:40 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a97
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
 <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
Date: Fri, 06 Mar 2020 01:43:38 +0200
In-Reply-To: <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN> (martin rudalics's
 message of "Thu, 5 Mar 2020 10:13:13 +0100")
Message-ID: <87o8tawf59.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudduuddgudejucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> 'display-buffer--maybe-at-bottom' handles this by using
>
>   (let ((alist (append alist `(,(if temp-buffer-resize-mode
> 		                    '(window-height . resize-temp-buffer-window)
> 	                          '(window-height . fit-window-to-buffer))
> 	                       ,(when temp-buffer-resize-mode
> 	                          '(preserve-size . (nil . t)))))))
>
> The question is now whether we want to do that in one place (that is, in
> the temporary buffer setup and show functions) or in many places (like
> in the buffer display action functions).

It seems better to handle the temp-buffer setup in the buffer display action
functions (currently there are two such functions that handle temp-buffer:
'display-buffer--maybe-at-bottom' and 'display-buffer-in-direction'),
if this will help to get rid of monstrous macro 'with-displayed-buffer-window'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 5 Mar 2020 09:13:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 04:13:29 2020
Received: from localhost ([127.0.0.1]:42156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j9mZN-00039J-IM
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2020 04:13:29 -0500
Received: from mout.gmx.net ([212.227.17.20]:35949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1j9mZL-000393-5X
 for 39822 <at> debbugs.gnu.org; Thu, 05 Mar 2020 04:13:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1583399597;
 bh=wYXiOBbyubjBY0fkpKw/bZF+HvzGLAYJqpv71o9c6GA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ZLnmip2gOlRjllKR16u7TabYRwndM3SBkltvhGAoQyn4OGbr9dHQ6wJw3/Y0Xf+sz
 vc0HAbU4K/Aif1tig8ovQHF26D8AWLpaZUNVc+znh0Rx/bT2JsQ4PSn7YCw+ZX3wPI
 aY/EFiMJLbydw9bhUpheTHTZ2l9bH3epHdaQ/sZU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.18]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MpUUm-1jho3t1rzg-00pwzq; Thu, 05
 Mar 2020 10:13:17 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
 <87pndrpt8t.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c4cfc303-96e0-0836-b115-e2aab0cbd247@HIDDEN>
Date: Thu, 5 Mar 2020 10:13:13 +0100
MIME-Version: 1.0
In-Reply-To: <87pndrpt8t.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:jmGNXbKMUwbHIphxi9dhFShKXh0lYuTTO/7uQ3x0WvyG9lLWAff
 vV/0527ViuzJnMZfOG9xh1sUpYtF0gkPXKGRc6XLUbZM2xq8swAfazLHFsKVRZqEGOe96tB
 Sy7/LMFZz1xwdPU6LYt4Z2kl0/vsY+CtuAXMOTBCWnRepesVZzBwKAy5jU7iri9iUA+VlBu
 WPkFIa5mOb4J/NiBX9e8w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:sMV7Pfa35PE=:ONp9WENL8yQPxy8rzSLfam
 z4ba3Ple2rMp1FaJ2cDN4INh5e9Lar9hCTmHA2NVuj50/oVzvargah7AmQ8BVxw2RVb3cBcHB
 okY7uhwfSyz3ve2PcgVRbzQdX3n0i9mwmX8XpMYktdR5TLFF7APmrgALRwRsKzIYk+U8DYH/A
 AGL99eLs8in7BDeVvw4Thqt4yY9cVzfJnVDHp1AWIs8klHhFWwRkzDi69xCrvyXaov4R/LVyT
 +CY0hfsfP12lluBCbsWBEfI4TuaHpNt0C1S3bcuy2OG0gC/rKDTYrfVzb4LpVZ9rZbHWvSmMf
 regzUNO9rjvUQgRzut4g1aAiFAlolTkIX5O0IdmxyR8rxgT5B9n9Yqvifafn6duXUn5H7VSMW
 0cmJ0/QzQQyy/ukAadxn+oQ6IHIak49t6QIGg87ghmB1wTok50L/6StXfjCfiyQt6DjD+7bz8
 eXvLadGsx3twrZeC+D0t66ZNnXw8rOBkdWY1naoET9yANkW47D0YsPtLYEZIrUZOKTz/LTXOQ
 y0/cAnwFy4Bv+DmMbFChWRhswggiD4FFDeqZsQwcppm6drFJgK82XuzvmxWEZEIxWdvsrx0Nn
 2GmObZpbdHoZOyiCTt+2uxPghakQI0FHAF7uhSn9ho6AXCm5eNRlFtHCEkft2YJmU8NImG8Fc
 Xt5uHou88FGPkTU2X7wzVInCfq2a06Czm4zxG9qudF1LJhCqfH3sOtX63Hl7uPy0BlwLuIuAM
 tFNeJTbuDlZo61O0rf0fkJpR1OG9L7FOFBhbkGkG8h4D7YGGPZKpIUK2vrcSUYfT1zj6elWwA
 QbzFOvh+YfakHUtdIulsaIao/WVrUn0vVRefnzRaLcEvuY4RN4T3fTssNtU7B4oLotek1z3HL
 HdYOTK81E72e92spfv71ln5cncIMqNDyuq4ZhRmj9VifakrnNikgRlHilMglJHYyY9Dkky2TN
 7SwJ1wyI+5+/TpLDhJ7HKogXW8hlbsNwV4Ei3cLppNfaN0mSUkdzbojQWExaxOtrvUopC1X1s
 UFwJa79IHwt4fYo9zcp5YynGBq6GPfp2YK3o+3B5VPRSLW1bAYW4Fuoi79LlXcDPCMl/+dfp+
 Sgfv7JQKTyzw+QSCa96eRAl+6Ft4l+PCBR1patI8IWWLb2UxqhNB9764uOtq8nOsyJL+whvls
 i8PawBVTcWGrEPCGwCjzygIYFj8hTP2YZCCd+pFz2ni531UT4lwLBIF8hE2TvqimmvcJsLpmJ
 MxXsTpG4GUQyfkVXg
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> IIUC it neither runs the hooks for temporary buffers nor does it obey
 >> 'temp-buffer-resize-mode'.
 >
 > I don't know why it should run hooks and 'temp-buffer-resize-mode'.
 > Why other clients of display-buffer don't need these hooks?
 >
 >>> and nothing more, without hassles of with-displayed-buffer-window.
 >>> And still it fits the window nicely into the buffer height.
 >>
 >> How comes?
 >
 > Maybe this means it's possible to avoid using with-displayed-buffer-window?
 >
 >>> Why the above 3 commands couldn't do the same by abandoning
 >>> with-displayed-buffer-window?
 >>
 >> It depends on how much of the stuff in 'temp-buffer-window-setup' and
 >> 'temp-buffer-window-show' they really need.
 >
 > Maybe they need none of these?

'display-buffer--maybe-at-bottom' handles this by using

   (let ((alist (append alist `(,(if temp-buffer-resize-mode
		                    '(window-height . resize-temp-buffer-window)
	                          '(window-height . fit-window-to-buffer))
	                       ,(when temp-buffer-resize-mode
	                          '(preserve-size . (nil . t)))))))

The question is now whether we want to do that in one place (that is, in
the temporary buffer setup and show functions) or in many places (like
in the buffer display action functions).

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 5 Mar 2020 00:22:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 19:22:12 2020
Received: from localhost ([127.0.0.1]:42016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j9eHE-0005Wu-EF
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2020 19:22:12 -0500
Received: from bird.elm.relay.mailchannels.net ([23.83.212.17]:25160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j9eHC-0005Wl-JT
 for 39822 <at> debbugs.gnu.org; Wed, 04 Mar 2020 19:22:11 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id C583712100A;
 Thu,  5 Mar 2020 00:22:08 +0000 (UTC)
Received: from pdx1-sub0-mail-a3.g.dreamhost.com
 (100-96-1-27.trex.outbound.svc.cluster.local [100.96.1.27])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3044E121001;
 Thu,  5 Mar 2020 00:22:08 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a3.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Thu, 05 Mar 2020 00:22:08 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Whispering-Share: 58e751c64dd1cfcd_1583367728528_416359684
X-MC-Loop-Signature: 1583367728528:1222468455
X-MC-Ingress-Time: 1583367728528
Received: from pdx1-sub0-mail-a3.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTP id 609C27F78E;
 Wed,  4 Mar 2020 16:22:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=eFlN1EzMOMSQn3D7j9wE0uJ1c3g=; b=
 v/jXaFNa2Ytex1sleRbyb+Nf/SxJHIQOo6XSZ4fBnBa4XflT+lUj7jEHtJUVnAMZ
 lu6KthM7k3Zr4xLrlLqxdaztPDs4nKfMogpvLKug+i/Slz+0RGflYN8MNgZkDs8t
 nUZVyzBPEoNXnZOPQ7RHUy0rIu7A8AmMQERgYapLZX8=
Received: from mail.jurta.org (m91-129-103-27.cust.tele2.ee [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTPSA id 258987F795;
 Wed,  4 Mar 2020 16:22:02 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a3
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
 <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
Date: Thu, 05 Mar 2020 01:58:42 +0200
In-Reply-To: <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN> (martin rudalics's
 message of "Wed, 4 Mar 2020 18:30:32 +0100")
Message-ID: <87pndrpt8t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedruddtledgvddtucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpeegnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Here is a complete list of commands that use
>> with-displayed-buffer-window:
>>
>> - dired-mark-pop-up
>> - minibuffer-completion-help
>> - save-buffers-kill-emacs
>>
>> What they all have in common is that they have some post-processing
>> in the displayed buffer.  I wonder why there are no more such commands
>> that need to do such post-processing?  Maybe they use some simpler
>> solution that could be used here as well?
>>
>> For example, hack-local-variables-confirm uses just
>>
>>    (pop-to-buffer "*Local Variables*" '(display-buffer--maybe-at-bottom))
>
> IIUC it neither runs the hooks for temporary buffers nor does it obey
> 'temp-buffer-resize-mode'.

I don't know why it should run hooks and 'temp-buffer-resize-mode'.
Why other clients of display-buffer don't need these hooks?

>> and nothing more, without hassles of with-displayed-buffer-window.
>> And still it fits the window nicely into the buffer height.
>
> How comes?

Maybe this means it's possible to avoid using with-displayed-buffer-window?

>> Why the above 3 commands couldn't do the same by abandoning
>> with-displayed-buffer-window?
>
> It depends on how much of the stuff in 'temp-buffer-window-setup' and
> 'temp-buffer-window-show' they really need.

Maybe they need none of these?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 4 Mar 2020 17:30:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 12:30:45 2020
Received: from localhost ([127.0.0.1]:41796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j9Xr3-00011X-ES
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2020 12:30:45 -0500
Received: from mout.gmx.net ([212.227.15.18]:41895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1j9Xr1-00011I-RJ
 for 39822 <at> debbugs.gnu.org; Wed, 04 Mar 2020 12:30:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1583343034;
 bh=5KExj6WUq/d5x3DivCMa5otDqXXQnw8ZMTHk3xufzS8=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=jFKe3WSOVFo9ncLxWnPU4WZ8raJW66/LVC7Ze9HTDHvgBzj8081melFJp9EdZbS2j
 JDv61Z8ZMVjsbJGBOZWi2FgbuYcBUphxpujibjuMbttyt4+2aTwQ8E2XLNrx692q3U
 eAefy5VTG4u4l24XdYozYPKi9rqhX3ofdsRrdyCU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.38]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M6Db0-1j2yGn3hV2-006eNx; Wed, 04
 Mar 2020 18:30:34 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
 <87ftep2h1x.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c8966322-8b77-41f5-4a75-5ed45facae1a@HIDDEN>
Date: Wed, 4 Mar 2020 18:30:32 +0100
MIME-Version: 1.0
In-Reply-To: <87ftep2h1x.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:6fDmj/CJVr0c8SVZ7DyETB6K5LvEc2QjDJukMYkaBq3uwTYXnxH
 hEMn52lDaFeSpA4QZQdRj+RhwRXry3RLvm33cwstSYYm83cYTeK35NyR5dywnK1bwFbAQDk
 eDwwiHEBl9n8VgGE9MCW+q2LW8n8LzwSes9dgflF4C47R/4RlmDb2qGajAGefxpVplq+uGU
 BeMGtbpEnNDnG7G8IcWuw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ZoOEwzFqNjg=:+Fc1pdJEE/qEv01FIM+NIf
 Urwd5uKJm6i6dxNpQyNiltH2IfbGW/fo9ZTN33+/97gqr9soYcj/1Yj4Dv0CYXxk0/ZFBEDB4
 Be0e4CYMekI+MjgiM4k+BOo677i2eHDj/ArF12RuqjjK8ZK1U/tdSQvGvQxdwLreWrRBzigg3
 Zou5jIUQ6m4lPVvWAYVbyWxgOD+5Ey5bJmPu3RxRkzTrvIimPm1HxRpHNJeEJ6Bw9Inow8aDO
 kk3ClnJN9axqwNqfWInIoMaITl62U2biBmm++5jtMT78p6efVOc1FNaA1FEH3U3wRDfVGiQ+6
 I2ZCzkKUK4sEm/+GNCLetDaM4Ia6LIb3RXns3ZkBXb3A0VmhAw4GOzV7by8hqjNh7L2aBb8tS
 5tTW8iy2dq8Bo2EiRJL1/WJ98sKC88BjbdhI6IqcIO2SrCLXfxBOy+aqc+FuFExm9+1Svsauj
 7Lb0nBAa6ik9KpLjXY1f2m1fTyFEeVaR3RniGyIP4uYfGzCuNQ1+8zJCAHz/W2/4Z1JbROC/q
 797PlyHxtGtdMkS1oV64gYPYqOggzZu9+8rHbW6uOo7x6kNmHVBArYuNueVTSVxJ4GVk01LuS
 TvKipnomKcJWoQbUPqtjzrOcVfF7SORW0U+i58njA1GLtCF6x31FQNWr/c+eZAOvvX7sfQ849
 7dlE6Sn2Q3dQeqbyOIlov7us+KxYxTK17jx/PlkJlVxFl8HH05z0aUFKKF48mVmmdjfJbmSzF
 ld5TYH2O4NEnePg+bwZxh79LyssO1HY93Fym5K4svpwoSqjL7TU6983cAcVowqpJZ4eTeD308
 rSL+5AJ7eWKUOYfGddxl4nGKF95F2HfPgrOERebgHMSy5YQ5ppTYSPd1E07A179iNBElUhzL5
 F0zbeZHLfMGNNwqLoyYZ1O46ftW1uBX9APosrW4niT3KMJ5ncPF8CuyG3MWfFGH1P9LqP4h1z
 KnKT+vzow0/zwYxXMl86xopYqx/Af+oOhz3mywdjbP3v9F5mNwZjtiCqdzDSVUplJnFO5nvL1
 cyTtTh/PeWLMsWXD7vzjdLajz+yQ66zaYpkilT2Ne2h/atdQDYOtUPZCqVml/b56r4jNMuupI
 fNZcciCZgDozuc5dpsskzU90OOGbSH8ZwIltTIJhMHzsI0qAbdR0U2H9evZbRuvLD+nDVgtep
 QK7msLy/V29R5ss3g3OSiiQgij+6DZUN2gpc+fBW9LDObzECSrlYXJQ+qEE+eEOzB/T/uLNTr
 upWIrTZ5JUjMnVjpc
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Here is a complete list of commands that use
 > with-displayed-buffer-window:
 >
 > - dired-mark-pop-up
 > - minibuffer-completion-help
 > - save-buffers-kill-emacs
 >
 > What they all have in common is that they have some post-processing
 > in the displayed buffer.  I wonder why there are no more such commands
 > that need to do such post-processing?  Maybe they use some simpler
 > solution that could be used here as well?
 >
 > For example, hack-local-variables-confirm uses just
 >
 >    (pop-to-buffer "*Local Variables*" '(display-buffer--maybe-at-bottom))

IIUC it neither runs the hooks for temporary buffers nor does it obey
'temp-buffer-resize-mode'.

 > and nothing more, without hassles of with-displayed-buffer-window.
 > And still it fits the window nicely into the buffer height.

How comes?

 > Why the above 3 commands couldn't do the same by abandoning
 > with-displayed-buffer-window?

It depends on how much of the stuff in 'temp-buffer-window-setup' and
'temp-buffer-window-show' they really need.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 4 Mar 2020 00:10:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 19:10:39 2020
Received: from localhost ([127.0.0.1]:40157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j9HcV-0005Uz-Jm
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2020 19:10:39 -0500
Received: from bisque.elm.relay.mailchannels.net ([23.83.212.18]:55052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j9HcS-0005Uj-RC
 for 39822 <at> debbugs.gnu.org; Tue, 03 Mar 2020 19:10:37 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 7F7CD5A0FA7;
 Wed,  4 Mar 2020 00:10:35 +0000 (UTC)
Received: from pdx1-sub0-mail-a71.g.dreamhost.com
 (100-96-219-30.trex.outbound.svc.cluster.local [100.96.219.30])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id E4BF95A0FD2;
 Wed,  4 Mar 2020 00:10:34 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a71.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 04 Mar 2020 00:10:35 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Plucky-Vacuous: 439f67e544e1c987_1583280635169_1000482306
X-MC-Loop-Signature: 1583280635169:1228718222
X-MC-Ingress-Time: 1583280635169
Received: from pdx1-sub0-mail-a71.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a71.g.dreamhost.com (Postfix) with ESMTP id AE2D17F4E5;
 Tue,  3 Mar 2020 16:10:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=2L+Rpw1SRKSb/tg+HdVdFeU1C98=; b=
 HuIKYFfFe+Ef1GYCX9Er/VDUynHT0s4D03ccJXI09LslNw1T3gW3ZkwYkMs++YRj
 5ImGUMkC47GrXDHIIsEdK7xPemKoCwWWkPVHw70Bg3GuuUCflhnQh0wLyKUWmHsx
 M8ebhjPfEDghsBgQ1ZhH6qOlzshAdqDut1bUrdmwFXw=
Received: from mail.jurta.org (m91-129-103-27.cust.tele2.ee [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a71.g.dreamhost.com (Postfix) with ESMTPSA id D66187F5C2;
 Tue,  3 Mar 2020 16:10:26 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a71
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
 <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
Date: Wed, 04 Mar 2020 01:06:02 +0200
In-Reply-To: <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN> (martin rudalics's
 message of "Tue, 3 Mar 2020 15:40:41 +0100")
Message-ID: <87ftep2h1x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedruddtjedgudelucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> You mean 'minibuffer-completion-help' should call 'display-buffer'
>>> directly and do the rest of the setup manually?
>>
>> Yes, and all other commands that currently use
>> with-displayed-buffer-window should get along without it.
>
> OK with me.

Here is a complete list of commands that use
with-displayed-buffer-window:

- dired-mark-pop-up
- minibuffer-completion-help
- save-buffers-kill-emacs

What they all have in common is that they have some post-processing
in the displayed buffer.  I wonder why there are no more such commands
that need to do such post-processing?  Maybe they use some simpler
solution that could be used here as well?

For example, hack-local-variables-confirm uses just

  (pop-to-buffer "*Local Variables*" '(display-buffer--maybe-at-bottom))

and nothing more, without hassles of with-displayed-buffer-window.
And still it fits the window nicely into the buffer height.
Why the above 3 commands couldn't do the same by abandoning
with-displayed-buffer-window?

> So you mean the default value is the value supplied by
> 'display-buffer-alist'.

Actually, I meant the default value is that used as the ACTION arg of
display-buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 3 Mar 2020 14:40:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 09:40:56 2020
Received: from localhost ([127.0.0.1]:38891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j98j9-0006YF-Ql
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2020 09:40:55 -0500
Received: from mout.gmx.net ([212.227.17.21]:56501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1j98j8-0006Y1-Bw
 for 39822 <at> debbugs.gnu.org; Tue, 03 Mar 2020 09:40:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1583246443;
 bh=AeT/jP/HNUnTPLQWj8vdBNHsjm0v0OSuQIzaJUrHWQM=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=buTj9gAUPQ/zMbSReTWhMqGwMrgHYk3qkLPD38zZU1KYtBEWjHEKNwU6bLpdFS+kC
 DJlgrSYo0Vr+s/CigqH4d+3Trxm7eGlUALycPkvaS7OOswddW6Wf8epMnxSiCCjXvs
 KWeuGD9kMSGTIoAMiCKqZqocaTSuwR41hxWVLzO0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.95]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N8GMq-1jVBqV1jcG-014CTl; Tue, 03
 Mar 2020 15:40:43 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
 <87o8tfzmrx.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <43297d89-9e87-0b23-0bca-98b13a27cfe6@HIDDEN>
Date: Tue, 3 Mar 2020 15:40:41 +0100
MIME-Version: 1.0
In-Reply-To: <87o8tfzmrx.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:zi26VwFmBBJ59KB9x1xJIUguNxmwG1/nOyAx7anQFYSNHFKu8lc
 Qy5WSf6Zkm7kJv0q0z6xZHXsOzTDZS8g1L//u+Mxuaw5dENIB3rkRbvES28nsJ/NraO70xB
 VmOLvgZ7g4+02M7nZqTydGpRtEpJx+45q83DapH0Fo/8kJwHzP+FkF5f+576dyhVkHZHaNh
 l+qy1QC425mE7djRP1djg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+sVX+4ZD93g=:y5zWQl6JarT1M8j5V/C3Z9
 gOrwIjzhg89fodrUk53dWvWbRHrptA+Y5Ljrk+6vIzlv7YDLx+ljh43vCL6wiHx96QvAA1Gt3
 v1CCaT/h9ry8Z5c78on1m7STUtdW0Sw45I4ftrJF1Gw5Y2J+wukidBwRdMKC524EcD0yVTTPi
 u25yW/qsnYjsvW9qjs0onWAAeAYJmfdneetzO5+dLrsXAY2rmboFwpkAVsqdKNeZ0pidsMcxN
 uX1IKFL9Ao4KMG9JW9/tHh49jDnHOj/G992+EOBYPfqLRj5Y2WKwaKXs+dsatvRMqjPI1Cui7
 lunLwJSbZ3WgU9WcwI+LUSVkFFEcNSQz9k1Hf3ZAlao5O7zCSfTkcZx6NscGLo0ov/+rOwYmS
 4k2CoLIOaYEBpePmMAREeREHrpFQFy07lJeLEdTNb4Y/xD/g7iTzteeeFSqrW5pijdb5EzNLO
 LsoD1ZhCsp37HcoB3CoFfuQ+OoXpmzRqHJpd620GblLEtdXIO4P1i/T2fO+sthA9ikBKw8ljm
 LdWejasa3ilBtbjxJzttO6FX7bKTJ65UJ1CcsU6onCI0ZDbb671acMxmpLBJsqPbPklrhaBrl
 +Xcj0d8Yge8r9L9mmDJpQHb0HmfIfvTlGUyuIc7PTnvZI0u4TbfVI5fVPCvQdkQcKf8Hi5rbk
 cpQzGBLbbvubJ+voFvWVLnrCpfUHQ6q3YtpZO7GL/fC9E8rIZVDHo3kYHfsu/jO+bFhl4aVDr
 noTx98ArgZBSl4Tk/4L72Q1GZj/gRJfMeouWVmlZrUWZ4qorSPiXnTNiMSi0YWg2oqRL/HtYm
 ElaLiMRwgflqDfunT7cCrhCyX+hga4b4ueSnZlv/982eudWy4Z5gAeujBbP8zs/fx/fdHk4hh
 oe59NMM7JW+olsKJ0IjnUmRgTHcyvWjT0WPcsEjKWypmSwbs33lVDwZlikOoB/mxxpOlYxiBt
 XtMJhUOyQrYqDEwXK68s/tLhdMAtjeve/xsMV7PEKB9RPbfRKpDS7IWzJoV2eo/3/Ik+5YKx1
 wTfYeAxbJ4+vveinLBdZMrZfNsLPBNnpXWaiZmVSp0/8U3VZ1V/BMp05oI9PBJl+SEjsyaJuG
 YQHMu3oq3BLHb92ICFBNKM/W5csBk+3/jBc4Z/3asfaJb8zcVO1UatgjF91/Oh1ftr7KdTWY8
 lc86r6q1SLe0lMWCIvSNFJ2JJ9LocQrKfJCXDb8iHO+fvGau2cl9qc4lge5mNI7fqGFG4gRJJ
 wiVpuK2SSBe/oiACP
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> You mean 'minibuffer-completion-help' should call 'display-buffer'
 >> directly and do the rest of the setup manually?
 >
 > Yes, and all other commands that currently use
 > with-displayed-buffer-window should get along without it.

OK with me.

 >>> So it would be easier to override
 >>> the default alist values such as 'window-height'.
 >>
 >> Is there such a default value?  Who would provide it?
 >
 > Since users should be able to override it by e.g.
 >
 > (add-to-list 'display-buffer-alist
 >               '("\\*Completions\\*"
 >                 (window-height . 5)
 >                 ...
 >
 > a default value should have a lower priority, i.e.
 > in the call of 'display-buffer' in 'minibuffer-completion-help'.

So you mean the default value is the value supplied by
'display-buffer-alist'.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 1 Mar 2020 23:43:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 01 18:43:30 2020
Received: from localhost ([127.0.0.1]:37081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j8YF8-0003cr-DM
	for submit <at> debbugs.gnu.org; Sun, 01 Mar 2020 18:43:30 -0500
Received: from cheetah.birch.relay.mailchannels.net ([23.83.209.34]:20206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j8YF6-0003ch-DF
 for 39822 <at> debbugs.gnu.org; Sun, 01 Mar 2020 18:43:29 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id E79705A08CF;
 Sun,  1 Mar 2020 23:43:26 +0000 (UTC)
Received: from pdx1-sub0-mail-a50.g.dreamhost.com
 (100-96-217-41.trex.outbound.svc.cluster.local [100.96.217.41])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 79CB45A09A9;
 Sun,  1 Mar 2020 23:43:26 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a50.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 01 Mar 2020 23:43:26 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Reign-Trail: 37492a3c144b276b_1583106206739_934932580
X-MC-Loop-Signature: 1583106206739:1857840126
X-MC-Ingress-Time: 1583106206738
Received: from pdx1-sub0-mail-a50.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a50.g.dreamhost.com (Postfix) with ESMTP id 3D99BB1AA2;
 Sun,  1 Mar 2020 15:43:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=3w/j1r6Lytb0BKiDZ33VFJwru4o=; b=
 RGpBqCuiFlYSXSlMVNW9o900iwaflAKobzPDywjmyvymUDfDnrX1gmWEB+3Q10WS
 6pKNnCgUx/zAnHV5LR2t+UiJMcljg3ZwVnuDy5XUgdLnNBrYr0MWE0WRcfaQ00IE
 LDMExr8GgjPo5C1uY+ikMRGnPVZBb9BnElBNAmgoyEM=
Received: from mail.jurta.org (m91-129-103-27.cust.tele2.ee [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a50.g.dreamhost.com (Postfix) with ESMTPSA id 52DB2B1A97;
 Sun,  1 Mar 2020 15:43:17 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a50
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
 <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
Date: Mon, 02 Mar 2020 01:29:14 +0200
In-Reply-To: <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN> (martin rudalics's
 message of "Sun, 1 Mar 2020 09:52:35 +0100")
Message-ID: <87o8tfzmrx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedruddtfedgudefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrth
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

>> My old opinion is that we need to try to get rid of these macros
>> and rely only on alist values.
>
> You mean 'minibuffer-completion-help' should call 'display-buffer'
> directly and do the rest of the setup manually?

Yes, and all other commands that currently use
with-displayed-buffer-window should get along without it.

>> So it would be easier to override
>> the default alist values such as 'window-height'.
>
> Is there such a default value?  Who would provide it?

Since users should be able to override it by e.g.

(add-to-list 'display-buffer-alist
             '("\\*Completions\\*"
               (window-height . 5)
               ...

a default value should have a lower priority, i.e.
in the call of 'display-buffer' in 'minibuffer-completion-help'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 1 Mar 2020 08:52:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 01 03:52:50 2020
Received: from localhost ([127.0.0.1]:35765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j8KLC-0007bx-6o
	for submit <at> debbugs.gnu.org; Sun, 01 Mar 2020 03:52:50 -0500
Received: from mout.gmx.net ([212.227.15.15]:60951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1j8KLA-0007bd-36
 for 39822 <at> debbugs.gnu.org; Sun, 01 Mar 2020 03:52:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1583052757;
 bh=E5xkJsZCr1i8jkd0jc9M/4gT/++qV5YkZ4vAbBVp4l4=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=axtKdFQH6fGwLTYf+WOxPq5Szfy5t4OsgHvVqs6JTAxDwUp5Gisbt65tYWQaUTvfH
 1W30uvHgcYoGvXkCaTjbmGdxVtY8gZBeYvtt1gOvexRFsErssf7wkX3Wjg4RUXWhdC
 J3Nd7tA0TAFOXqZMTL5GqdCV6JAkpq49i9CqSG00=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.72]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mn2aD-1jqh741hGZ-00k8Fl; Sun, 01
 Mar 2020 09:52:37 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Juri Linkov <juri@HIDDEN>
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
 <87imjpw3wx.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <b03a1147-005f-e54c-791d-6eee46525aca@HIDDEN>
Date: Sun, 1 Mar 2020 09:52:35 +0100
MIME-Version: 1.0
In-Reply-To: <87imjpw3wx.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ZihpByNY8k3vCwJnBgFjYtEzo3uR2tyLTBcMqPPdDzU4T+0nyRQ
 UWuwEj4Tl4xx0Gznsx/P9Cz9i8qz6m4RXug5jDeQe2MsvJCyKP85Y8kFW60sRcRKcp2Vcvw
 f+VzyhB4WPJ59C3U+qfvSl2XPhG0F/rt/VkN8NgE+ItOGSsht7lhdOD3D3j1hebCJ+a02Yt
 yClmEqkBTR93jTe3t9oqw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:BfQNCarQDKE=:qu6EpaygIH7b6EPsPImetu
 R9weffcdlzgJLyeN08LuHiriWRjfxMObE0Pn363cFFHtUp5UiHAety99AIXJYDAkKrbGtwE43
 MF7w9x2Njc/T3K5G0wy98l6vSS3U4QZobgWbGGndaPW3pnAcLnWdPzxsZ87FvhBZSDezh7PS+
 tNamA5SNI9DP62mW6e+xoCHNldU20F7qtkBOh31wbY8+vvQKlnRiw1HN0Ayye9uZTHGIrfma+
 eIqsnHty46qat8YaRAdO27BQ0JZne8Iwde7p278rh6BVZ8ErdF95J0P1urvKDTb8iRig1ewdF
 YgCKMeMAQTYFUFzsq3NuXZWdygICqKRpea9S1wdYCpDvjrJD+0+pYp9VeojZ1HQLkG5fxK2id
 NRDffhD9yZChBro84kaSow1ED2g9fj+eSVmP0WH3ejRqlfr3j1rPtZHGEhjfAb7qznDc8RrUN
 rtlS4HYpdYBKOSKEpr3hgA/2QGcXzCs4zgpUVhRhTEzUMp15WwBBd0Iq65itkotrO33rI0bCq
 upY2G8c39vjV/QERg1/vvMnW72b56sWir8l0w0x0n0h1ZtFUY8I4dKbxwrOCcfJxYCMCDB7f6
 N5ti5MZ+LMy4DVxEfve58qSu76n/jjhnvnlwZlJz4T3TCp8/GN6xZLe53jg59uu0etcirPTUj
 kZC+aEVYZvgU8R9aGD1Pzt3kdPe/Pnq3TH8KyE5eLB62zDqam+2T37dCqD3bSkBPIu3bQkJdV
 7Cl0NGyOS5qZTU9UhoeYcA223T0xjP6LYkAuNkbqgi5N6SwgoJ0pdg2UY+gx9HNF5YVP1UOoz
 d0nWQRSUSznrItBT2hI5YrhSu0/QJddDqw/Uzrm6amfKNiU+Ok6j5VqX/EE99pqXZFiDbrsWs
 3zRJ84AG9g0qO6lQi338CWyOD2i95U4l66CxY1bDVVxkJd9RjXmDWw8jTMhEsy7B9YFjH58VA
 t/WoCKPE4H3Uk1TbXNhNCpPWX6QCKmlQ+oRfCNNoBKbWg/RCzc+48UfjknCuHqfByEBW6bteG
 +cF6XSwR/IhZxNT24DUmuc5aVZlZAGE3i/6Ekn8S8grpjZCpZt0AkAtaEfB8FHDqpSZSxbe/W
 bQx6uhBgJ6mvR4anPegav81hqJslewFgRuuex5EYuTf/ujGjfZJT/w3r98L3ZqfcjtJkG9HJ1
 jleXXV26ETkzinQ2gLhUUeB0ufW6plF6/D9JkS/TD36Xu00h1Pq8GAFSAtMCo84DoWNgOKfvW
 nr95OKHYL6lPGybK5
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I'm using 'temp-buffer-resize-mode' too.  I don't know why it's disabled
 > by default.

IIRC Chong didn't like it.

 > My old opinion is that we need to try to get rid of these macros
 > and rely only on alist values.

You mean 'minibuffer-completion-help' should call 'display-buffer'
directly and do the rest of the setup manually?

 > So it would be easier to override
 > the default alist values such as 'window-height'.

Is there such a default value?  Who would provide it?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 29 Feb 2020 21:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 16:51:20 2020
Received: from localhost ([127.0.0.1]:35503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j8A12-0000HL-6T
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 16:51:20 -0500
Received: from crocodile.birch.relay.mailchannels.net ([23.83.209.45]:9024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j8A0z-0000HB-RJ
 for 39822 <at> debbugs.gnu.org; Sat, 29 Feb 2020 16:51:19 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5F8E820CEA;
 Sat, 29 Feb 2020 21:51:16 +0000 (UTC)
Received: from pdx1-sub0-mail-a73.g.dreamhost.com
 (100-96-0-14.trex.outbound.svc.cluster.local [100.96.0.14])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 8B29F20E75;
 Sat, 29 Feb 2020 21:51:15 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a73.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 29 Feb 2020 21:51:15 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Cooing-Abortive: 374544ef15b854a1_1583013075789_3069831182
X-MC-Loop-Signature: 1583013075789:3430678938
X-MC-Ingress-Time: 1583013075789
Received: from pdx1-sub0-mail-a73.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a73.g.dreamhost.com (Postfix) with ESMTP id 436667F53C;
 Sat, 29 Feb 2020 13:51:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=NR0rSkx0elewAe10CYQ0zXze6RY=; b=
 MdM4v2kyBVC0TXgrReQj+OaGFfEqPUdXwA4lypIi2qHuJCv42qDxi8n2T91D4ktb
 eqLwgzsQs5oQ4Bp4vV9G+g4v1sYV/bnQEE2IV6RGIM9+WApFRuADwL7RpfhjD8fT
 bCconaLhL+THhm/o4Tq+04lpS6ruCNfDS1HGczd4fVM=
Received: from mail.jurta.org (m91-129-103-27.cust.tele2.ee [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a73.g.dreamhost.com (Postfix) with ESMTPSA id 453037F52A;
 Sat, 29 Feb 2020 13:51:06 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a73
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
Organization: LINKOV.NET
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
 <87ftet76tv.fsf@HIDDEN>
 <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
Date: Sat, 29 Feb 2020 23:10:22 +0200
In-Reply-To: <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN> (martin rudalics's
 message of "Sat, 29 Feb 2020 17:05:37 +0100")
Message-ID: <87imjpw3wx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedruddttddgudehjecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvdejnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvjedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehruhgurghlihgtshesghhmgidrrght
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39822
Cc: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> I'm not seeing any adverse effects by obeying the contract:
>
> Neither would I ...
>
>> -           ,(if temp-buffer-resize-mode
>> -                '(window-height . resize-temp-buffer-window)
>> -              '(window-height . fit-window-to-buffer))
>>              ,(when temp-buffer-resize-mode
>> +               '(window-height . resize-temp-buffer-window)
>>                 '(preserve-size . (nil . t))))
>>             nil
>>             ;; Remove the base-size tail because `sort' requires a properly
>
> ... because I'm using 'temp-buffer-resize-mode'.  But IIRC (Juri likely
> knows better) completions windows are traditionally fit to their buffer
> so people who never use 'temp-buffer-resize-mode' would now be surprised
> to not see their completions window fit.  So while we probably can't do
> what you propose above, we should be able to _not_ fit the window when
> the alist already provides an explicit height argument as in your case.

I'm using 'temp-buffer-resize-mode' too.  I don't know why it's disabled
by default.

My old opinion is that we need to try to get rid of these macros
and rely only on alist values.  So it would be easier to override
the default alist values such as 'window-height'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 29 Feb 2020 16:05:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 11:05:47 2020
Received: from localhost ([127.0.0.1]:35282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j84cd-0000FF-EG
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 11:05:47 -0500
Received: from mout.gmx.net ([212.227.17.21]:36535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1j84cb-0000F2-EJ
 for 39822 <at> debbugs.gnu.org; Sat, 29 Feb 2020 11:05:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1582992338;
 bh=CxIbVs1QdhKZ+YriF2P+EIAk0GGYtj/hgOE7krg+WIo=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=Ub0QKrkNeJV6HZfQD0YRXqrFyJAm1yuz8pwkZFCiA1xgdhP03A6G0os8kK4iGwypt
 ozsEY3zmsTjZEBapxWgFuG7sC5tfifuRhAnpWvxjK7S/XFSorz8jq6syiuTmm0QKmx
 6CiEXejflatVbYtmB7xy3RJqVFADNoCkFZhoCAsM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.253]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MulqN-1jPKBl1m0B-00rlMS; Sat, 29
 Feb 2020 17:05:38 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN> <87ftet76tv.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <21d2102d-367b-54da-33c5-1ae1ac579bd9@HIDDEN>
Date: Sat, 29 Feb 2020 17:05:37 +0100
MIME-Version: 1.0
In-Reply-To: <87ftet76tv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:qlX5eIhsRxz8FgOldcipmbm67CHeu44YEdkdOVuaNyKRhnvDXai
 FJMEIA72UfZ0km//ZqQKoXhW/soNnxLGCU5xkmaLawtJWMD6uW4li9dW8KqRkQ3zjilqscH
 PkI2mduUPMXOiHuhdXu52pHP4CQMnp0MKpz5ghdFm8M7AnTqrgD635Cnd0RVjID6sYf2qLo
 iENJv8/KKkC859GVrBEIQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8ias+c8TwsI=:CqEe/SM34+GxtukgljOiQQ
 4Ym8fx8ZMK47jgPT3+aHDTEvU97NFzJdupTMfcJhF7hB9pC1m3wYRSDXgVjyVgS/YIebuLSXT
 OQR+D9Od04VX1Ddx1Csq3fsOl/O5n+ipGaWFRI+x3xnpUx2YqaTXC80kgL+Fvc0lYKCVb3w6j
 aSANuHYzoUGgvWPmrd5TIJTplt17lNM0d8Wlct6pWvDJpA65M/3ier21MpUa0zs74q974oPmp
 EAZ9tK+ePCOi9ve7I5w69w+W9BCiIQGBI1fMfeGhYts4/eI5ApBqwvSlH5sywHM9HYIT0h+wo
 8Y3Ldac/yiUp2AmMmUwjFnmPz4PUwuFePnbJJtRBJPvO8zAocj8ATCZ4L9M6SS/0U+VcE6a89
 i6PuQL/5We+7ITdsmdszW19+X4CDQisJrP4CbpQvxxDfZPbcQIc+4xpv8uFxv7Wyn7lZ+EE7E
 MKsaiSb595Hv8Uq2/tHzapSPubeFzlGQEvg9E4YiMbmxRnajFBDUcEMqn89Ziq4RvP3ubI/JI
 tOxJGmMh4DreR8hr63k5OmxS9od9Q87EZyocCl2m996tC2b3naBRe4aXowHiJmPYcU4oErp7Q
 ch2eKPb9k1dpSUsfKYL2JXHAZh2w6cpH98fvtT2sK43ETxu1crFUCRCZ9cI+HOK0zHd9bju63
 CR3bWM3NE9OTGCp98WsuJ8ITiAq0lVA/arau3NFn9nCana+6p5sxdQG5Vx+hkx2gpKYHzQ2oV
 n3TUAduhz4NAraNwHru2///rdobs44c98kBkHqzD2NwCmyFYq3FsD+w/pGLeAKZpMou82orzY
 bL99y6TFUprAf+UDsQlsOc8Xc32z3+kdyZyF7b6ZV7IV2Ksm11vV3K2ZJMhCqnv0pL8gtkdpw
 kQ4uVdXMa3EuedbXCLmaqWhKQxdStrroz55lgCIj3zXwazUUreMvIK9I7o8d0ifcxsD+JlMkh
 YyPJb9IW7SvJb429orLtNTUEKizlX2qlb/bV6cVeav7CBRFt0ZH3FEX4Ax4m1pfn2NlXjxOUM
 pj4ccfd6QFHrsToq28VTMztDaDE/Z6xq4oTZC32dbQuhP0Lmat04RtW6NUXJPcWDo1AdJXSkG
 JQIb5ovgtUdkuWBGSofhJBSVpBMRta5Yz0n44gd0Vfz1QMrqT+uAlIrHCb/qdguTpkbpX3xZW
 109Bsw0qwpMCoQYFv4wHPbDcKWjUoM/vFB+xPXNZsQoC1BGZg53PtqythrKOisucrjqKIQZwg
 +v482lJYOfFXNNq2l
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I'm not seeing any adverse effects by obeying the contract:

Neither would I ...

 > -           ,(if temp-buffer-resize-mode
 > -                '(window-height . resize-temp-buffer-window)
 > -              '(window-height . fit-window-to-buffer))
 >              ,(when temp-buffer-resize-mode
 > +               '(window-height . resize-temp-buffer-window)
 >                 '(preserve-size . (nil . t))))
 >             nil
 >             ;; Remove the base-size tail because `sort' requires a properly

... because I'm using 'temp-buffer-resize-mode'.  But IIRC (Juri likely
knows better) completions windows are traditionally fit to their buffer
so people who never use 'temp-buffer-resize-mode' would now be surprised
to not see their completions window fit.  So while we probably can't do
what you propose above, we should be able to _not_ fit the window when
the alist already provides an explicit height argument as in your case.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 29 Feb 2020 15:26:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 10:26:48 2020
Received: from localhost ([127.0.0.1]:35233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j840u-0005eL-4N
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 10:26:48 -0500
Received: from mx1.cock.li ([185.10.68.5]:55563 helo=cock.li)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drot@HIDDEN>) id 1j840r-0005e2-BC
 for 39822 <at> debbugs.gnu.org; Sat, 29 Feb 2020 10:26:46 -0500
From: Davor Rotim <drot@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=firemail.cc; s=mail;
 t=1582989998; bh=eiLDvfXGED3LiC5buB5fgudtc/laxw/ClmH7IugZO5A=;
 h=From:To:Subject:References:Date:From;
 b=oWrzlULR2L8UtS6eym5zsoMJ36/fe+J6MOtYPg6l0KPEuickcebEVsYlujm0RuxAA
 c68HwyyY7y5U0ns4l+2Lt1a4iPG5Q0eVMOriYUrdD8SEQJeGFJ6DoI+KFjC4kXdd55
 S+6bTZ65xAkvM3+DfwrtwySGHm3cC/RGr+1V1C4htnlCJw5Tyi+hWO3N0KJMHKyHTV
 /n2+sbCL21K1+jICGdWN4HSg6ODQqfGZ5s2ah76E/5PPSEP2R1FWGqTzBfuZ3aqeNv
 8qFrZW70Rj1XZz7VBMmkDt5eWg/k6Ejr/eeFIvFqMod+XHfmpCGcX17n9fFPCDlALY
 c0EIpK5hZKjYA==
To: martin rudalics <rudalics@HIDDEN>, 39822 <at> debbugs.gnu.org
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height
 using display-buffer-alist
References: <87k146q02n.fsf@HIDDEN>
 <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
Date: Sat, 29 Feb 2020 16:26:36 +0100
Message-ID: <87ftet76tv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39822
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Martin,

martin rudalics <rudalics@HIDDEN> writes:

> Strictly spoken, the behavior you describe is a bug because
> 'minibuffer-completion-help' violates the contract obligations of
> 'display-buffer'.  But displaying completions had its own rules ever
> since so I'm not sure what to suggest.
>
> martin

I'm not seeing any adverse effects by obeying the contract:

diff --git a/lisp/minibuffer.el b/lisp/minibuffer.el
index 49daabc..64139bf 100644
--- a/lisp/minibuffer.el
+++ b/lisp/minibuffer.el
@@ -1980,10 +1980,8 @@ variables.")
              ,(if (eq (selected-window) (minibuffer-window))
                   'display-buffer-at-bottom
                 'display-buffer-below-selected))
-           ,(if temp-buffer-resize-mode
-                '(window-height . resize-temp-buffer-window)
-              '(window-height . fit-window-to-buffer))
            ,(when temp-buffer-resize-mode
+               '(window-height . resize-temp-buffer-window)
               '(preserve-size . (nil . t))))
           nil
           ;; Remove the base-size tail because `sort' requires a properly




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at 39822 <at> debbugs.gnu.org:


Received: (at 39822) by debbugs.gnu.org; 29 Feb 2020 07:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 02:53:29 2020
Received: from localhost ([127.0.0.1]:34174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7wwC-0003xB-TS
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 02:53:29 -0500
Received: from mout.gmx.net ([212.227.17.22]:33893)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1j7wwA-0003wt-Qy
 for 39822 <at> debbugs.gnu.org; Sat, 29 Feb 2020 02:53:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1582962799;
 bh=G+YVaH5IEiLAf4gE6pQyysYF/a8fZ39DyLVXDAh5ih4=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=U0kPzdLlSmwf2xn02ORhZYsyH5mhu5OUITifysbjZ8OKr69+RkKOcS9Sl0ujf5g21
 XjDDG0LDZ/E+vtx0QUFnEMCJsHAIFkRdYUAcdZURGm6VNilolJDrliEbypEo4TTd3J
 USyOcF2oSpW9rDbWKZZ7/x/16F0w6ox68vjR3Z7E=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.68]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MFKGP-1jAQy61xt3-00Fj59; Sat, 29
 Feb 2020 08:53:19 +0100
Subject: Re: bug#39822: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
To: Davor Rotim <drot@HIDDEN>, 39822 <at> debbugs.gnu.org
References: <87k146q02n.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <fc45d6fe-1b5b-9f9e-258d-497aa05e2f27@HIDDEN>
Date: Sat, 29 Feb 2020 08:53:18 +0100
MIME-Version: 1.0
In-Reply-To: <87k146q02n.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:64fh8DrX1E9D8rnhPJSxj0S+vzBEM7qOtwuq6UNuhNCpRO7zsOm
 HJPn2y4YMJj45VicSzt0bGIDRR0ohVQewU4i6pe53i/VA/Khs/ZDJAxPn2Q4o15ie4L8aAI
 tzksNQji+HzxF1XqpqCZEsBgG3oK1GIkKKDB8rtCqP8ukpTYkEpp0H+9SR+usQKH6Ca9o5X
 4j78LW3gMMTptIwe0q1ng==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:c6/dppnfP/U=:94bt4TPC05T0SVDHbVZv4J
 qjMswG2TT7TlCB46I3UliZtjtk+g2uBpbYvoG6slt6qm3icbY9/cSThn/MMCuxboQMTaz/Uc+
 2Cp8h36nFG86eXOglUOIlyEXo54LaDqMfm0B3yJ20I1/6pbqvxI7mV35AqGavkS/IwTwkPj+e
 ziCB61L6Y0igxTY0qTYeAn7N2FWjS1HPBTnxwqb32GU63+ACABGqEgSnbh8nuslmdzA2e3OSG
 L3rZu/wpbA8WCdJ1yMx9wnnOcwObgVIEbyESwIsQ5dkEKbiVptofVwKlxXZBQ8zJoS2I+A5F+
 Z5mtxh3/tTpED6DcQ9MoWP3RBHPk0cX47yilXaCpRMzM+c04aJv4vW0YhVQcdo7JW293Mzxiy
 95tIlOvkvwauN/qFUWFSCDi3GrLuD+M+t4Q4a9K4vaDAcdnP9f6yr7RT9xjItnnLPOLQCl5lI
 5kM3MAQ70JKcIsA8MvCrXBXzgNGG/EOTxXr5AZgS4ILNEW1dwnsd42aKnFAyyTnVo8wU/2BXO
 jjlMTdJTLAXjXV6QERXhh1dDLP2X2D8v5l2rYgii1zgRaTytVIK7ir7f+whHReDFmAHH8vJv2
 uk/XLKz//Kc9E6nwZ5ut/t1jjD60zDLHcHq1HkrGEZJ9o2jwSzHAmTZKLEF+ECQQ/isLGGpOb
 d+EEekGGjoYuNCgqTCpgqtqzcnMxo4X4pzOaF05JwX7oxgNaJ9NURkszUoWT/ztcxzGWLYkqd
 CQTyuMUL0E5CDei6KJUKM0Z4W1haOHcDPz5dhiuip/eFAV6XAatS/koRAHWsw/3HMB8utvXpA
 N9iQjRqyS/YEdMcWnbURcqniiYNE2hqdWuoSpXnFDnbfs7hNfzwFCkZVT6IB70grSZc2oE+cA
 VaFWNUT2f1Wtj3NIweMPMtgLazTpOMS6Ao7Mu9+IimOyDWKoshNX5CVqgkJbebp+Waqi4Y6El
 s3Yz0l21XwicbYkByBy1ZE8ZfixxCpPdDUVMHQ7dduq0FyILUcGTa1GgFRYdpXU+PwvGXzKd0
 w4VveWhVBO0QPiJmXb50tuA0keqFItOETvy9J6ZjotwRGiE2UtwNYZeuDD78EvuPlxeoIsNwE
 mRrB8Wi1s1Z3VpXqApzxFHoJpHztVg5RpIGvPaeXofp0Wgle2A3Oi13SoIHrekvCTTaiCUGWw
 RFYaYCdc5yuim7UDW2SIBe2uOoLrpcIMs3M5orGlRAfBd7TaJX0hvR/+DxBMQDjTbOxO5RWRL
 yeTMsFkaMj+3lcuR6
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39822
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Testing with 'emacs -Q' and the following snippet:
 >
 > (add-to-list 'display-buffer-alist
 >               '("\\*Completions\\*"
 >                 (display-buffer-in-side-window)
 >                 (window-height . 0.05)
 >                 (side . bottom)
 >                 (slot . 0)
 >                 (window-parameters . ((no-other-window . t)))))
 >
 > Seems like the 'window-height' parameter is being ignored and I'm unable
 > to set the height for the *Completions* window this way.

You _are_ able to do that since

(display-buffer (get-buffer-create "*Completions*"))

displays the buffer as intended within the bounds of the value you
supplied, the size of the frame, the number of windows it shows ...

 > Switching window direction to 'left' or 'right' and setting
 > 'window-width' instead of height seems to be working with this altered
 > snippet:
 >
 > (add-to-list 'display-buffer-alist
 >               '("\\*Completions\\*"
 >                 (display-buffer-in-side-window)
 >                 (window-width . 0.05)
 >                 (side . right)
 >                 (slot . 0)
 >                 (window-parameters . ((no-other-window . t)))))
 >
 > The 'window-height' parameter gets ignored only when specifying the
 > 'top' or 'bottom' side.

What happens is that the function responsible for displaying completions
('minibuffer-completion-help') uses the 'with-displayed-buffer-window'
macro and supplies it with a

	       '(window-height . fit-window-to-buffer)

argument.  'with-displayed-buffer-window', in these two parts

               (vheight-function
                (let ((window-height (assq 'window-height (cdr ,vaction))))
                  (when (functionp (cdr window-height))
                    (cdr window-height))))

and

	 (when vheight-function
	   (ignore-errors
	     (set-window-parameter ,window 'preserve-size nil)
              (funcall vheight-function ,window)))

uses the above supplied 'fit-window-to-buffer' to override the 0.05
window-height value supplied by your customization.

When you display *Completions* in a side window below or above an
already existing side window, you may observe a similar effect for a
side window on the left or right of your frame.  And if
'fit-window-to-buffer-horizontally' is non-nil, you may see the effect
even when there is only one side window on the left or right even when
window-width is 0.05.

Strictly spoken, the behavior you describe is a bug because
'minibuffer-completion-help' violates the contract obligations of
'display-buffer'.  But displaying completions had its own rules ever
since so I'm not sure what to suggest.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2020 14:05:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 09:05:31 2020
Received: from localhost ([127.0.0.1]:60854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7gGh-0005A1-3p
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:05:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:53421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drot@HIDDEN>) id 1j7gGf-00059t-3x
 for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:05:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33576)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <drot@HIDDEN>) id 1j7gGd-0006y3-Er
 for bug-gnu-emacs@HIDDEN; Fri, 28 Feb 2020 09:05:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drot@HIDDEN>) id 1j7gGc-0004F5-1d
 for bug-gnu-emacs@HIDDEN; Fri, 28 Feb 2020 09:05:27 -0500
Received: from mx1.cock.li ([185.10.68.5]:58157 helo=cock.li)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drot@HIDDEN>) id 1j7gGb-0004Dw-F3
 for bug-gnu-emacs@HIDDEN; Fri, 28 Feb 2020 09:05:25 -0500
From: Davor Rotim <drot@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=firemail.cc; s=mail;
 t=1582898722; bh=OZBJCaoMwrZJbE8sd1qcQ2hbX1Umx+HFs3E/0AmQJu0=;
 h=From:To:Subject:Date:From;
 b=GdmnozJecNp3Bq5EgDZENTcfKd3ivXrW7SXyX77ce06x60Lcl3LyfG7snM/2uSC32
 aHi3PuLTqOzZXzZuawZdF1LU7+vFJUz4+AiqcSgUJ6d3B9IayPLwALoyfsQOhKhXXn
 nn11PxWsLqql2DzK5WVVxYvjmUapHmiZr755J88yTLtBag3Ber7pCHxsepmx4SlOgX
 7qZvnrIHFkke2PxOE+M5Dv+UYYo7QMI8lN1CG8cDk/2dcHULcpr3jfNGHhRJrDMpgk
 /g+BcHHpbW/eOfPlcqnR1liyr3vYHTxoHAYCZkjNCqKgbjpwJToxn9xV9245jf3YI6
 bEV6QrhSkQJgQ==
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.90; Cannot set *Completions* buffer height using
 display-buffer-alist
Date: Fri, 28 Feb 2020 15:05:20 +0100
Message-ID: <87k146q02n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.10.68.5
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Testing with 'emacs -Q' and the following snippet:

(add-to-list 'display-buffer-alist
             '("\\*Completions\\*"
               (display-buffer-in-side-window)
               (window-height . 0.05)
               (side . bottom)
               (slot . 0)
               (window-parameters . ((no-other-window . t)))))

Seems like the 'window-height' parameter is being ignored and I'm unable
to set the height for the *Completions* window this way.

Switching window direction to 'left' or 'right' and setting
'window-width' instead of height seems to be working with this altered
snippet:

(add-to-list 'display-buffer-alist
             '("\\*Completions\\*"
               (display-buffer-in-side-window)
               (window-width . 0.05)
               (side . right)
               (slot . 0)
               (window-parameters . ((no-other-window . t)))))

The 'window-height' parameter gets ignored only when specifying the
'top' or 'bottom' side.


In GNU Emacs 27.0.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.14, cairo version 1.17.3)
 of 2020-02-28 built on nostromo
Repository revision: 696ee02c3a40cf0e19f963cfaf8004ca42f7e897
Repository branch: emacs-27
Windowing system distributor 'The X.Org Foundation', version 11.0.12007000
System Description: Arch Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
(("\\*Completions\\*" (display-buffer-in-side-window) (window-width . 0.05) (side . right) (slot . 0) (window-parameters (no-other-window . t))))
Quit
Configured using:
 'configure 'CFLAGS=-march=native -O2 -pipe -fstack-protector-strong
 -fno-plt' --prefix=/home/drot/.local
 '--program-transform-name=s/^ctags$/ctags.emacs/' --with-cairo
 --with-modules --enable-link-time-optimization --disable-gcc-warnings'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 44881 10781)
 (symbols 48 6003 1)
 (strings 32 15441 1795)
 (string-bytes 1 513956)
 (vectors 16 9962)
 (vector-slots 8 129161 9124)
 (floats 8 20 43)
 (intervals 56 201 0)
 (buffers 1000 11))




Acknowledgement sent to Davor Rotim <drot@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39822; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Apr 2020 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.